****Analysis

*STEP 1: create variables
clear
use "/ssb/ovibos/a1/swp/kav/wk24/data/siblings.dta"
log using /ssb/ovibos/a1/swp/kav/wk24/aer_binlaw.smcl, replace

*Create sample to study: children born between OCT 92 and SEP 93 
sort fodtaar
gen loww=12144-(365*1)
gen highw=12144+(365*1)

keep if fodtaar<highw & fodtaar>loww

*drop twins
sort far_lnr
*drop if (far_lnr==far_lnr[_n-1] & fodtaar==fodtaar[_n-1] & far_lnr!=0)|(far_lnr==far_lnr[_n+1] & fodtaar==fodtaar[_n+1] & far_lnr!=0)
*drop one twin
drop if (far_lnr==far_lnr[_n-1] & fodtaar==fodtaar[_n-1] & far_lnr!=0)

*drop if father more than ones
*drop if (far_lnr==far_lnr[_n-1] &  far_lnr!=0)

*only sisters and hence brother in law
keep if ysos_kjonn_far==2|osos_kjonn_far==2
replace ysos_kjonn_far=. if ysos_kjonn_far==1 & osos_kjonn_far==2
replace osos_kjonn_far=. if osos_kjonn_far==1 & ysos_kjonn_far==2


*gen days, fraction for parents

gen fdays93=days_1_f if efodtaar_1_f<highw & efodtaar_1_f>loww
replace fdays93=days_2_f if efodtaar_2_f<highw & efodtaar_2_f>loww & fdays93==.
replace fdays93=days_3_f if efodtaar_3_f<highw & efodtaar_3_f>loww & fdays93==.
replace fdays93=days_4_f if efodtaar_4_f<highw & efodtaar_4_f>loww & fdays93==.
replace fdays93=0 if fodtaar<highw & fodtaar>loww & fdays93==.

gen ffrac93=1 if days_1_f>0 & days_1_f!=. & efodtaar_1_f<highw & efodtaar_1_f>loww
replace ffrac93=1 if days_2_f>0 & days_2_f!=. & efodtaar_2_f<highw & efodtaar_2_f>loww & ffrac93==.
replace ffrac93=1 if days_3_f>0 & days_3_f!=. & efodtaar_3_f<highw & efodtaar_3_f>loww & ffrac93==.
replace ffrac93=1 if days_4_f>0 & days_4_f!=. & efodtaar_4_f<highw & efodtaar_4_f>loww & ffrac93==.
replace ffrac93=0 if fodtaar<highw & fodtaar>loww & ffrac93==.

gen mdays93=days_1_m if efodtaar_1_m<highw & efodtaar_1_m>loww
replace mdays93=days_2_m if efodtaar_2_m<highw & efodtaar_2_m>loww & mdays93==.
replace mdays93=days_3_m if efodtaar_3_m<highw & efodtaar_3_m>loww & mdays93==.
replace mdays93=days_4_m if efodtaar_4_m<highw & efodtaar_4_m>loww & mdays93==.
replace mdays93=0 if fodtaar<highw & fodtaar>loww & mdays93==.

gen mfrac93=1 if days_1_m>0 & days_1_m!=. & efodtaar_1_m<highw & efodtaar_1_m>loww
replace mfrac93=1 if days_2_m>0 & days_2_m!=. & efodtaar_2_m<highw & efodtaar_2_m>loww & mfrac93==.
replace mfrac93=1 if days_3_m>0 & days_3_m!=. & efodtaar_3_m<highw & efodtaar_3_m>loww & mfrac93==.
replace mfrac93=1 if days_4_m>0 & days_4_m!=. & efodtaar_4_m<highw & efodtaar_4_m>loww & mfrac93==.
replace mfrac93=0 if fodtaar<highw & fodtaar>loww & mfrac93==.

*numbers for G - to create eligibility and employment
gen G1991=35033
gen G1992=36167
gen G1993=37033
gen G1994=37820
*eligibility status based on mothers earnings

gen eligible=1 if minc1991>G1991 & minc1991!=. & faar==1992
replace eligible=1 if minc1992>G1992 & minc1992!=. & faar==1993
replace eligible=1 if minc1993>G1993 & minc1993!=. & faar==1994
replace eligible=1 if minc1994>G1994 & minc1994!=. & faar==1995
replace eligible=0 if eligible==.

*father eligibile
gen feligible=1 if finc1991>G1991 & finc1991!=. & faar==1992
replace feligible=1 if finc1992>G1992 & finc1992!=. & faar==1993
replace feligible=1 if finc1993>G1993 & finc1993!=. & faar==1994
replace feligible=1 if finc1994>G1994 & finc1994!=. & faar==1995
replace feligible=0 if feligible==.
replace eligible=0 if feligible==0
*marital status year before reform
gen mstatbefore=(mstat1991_mor==2) if mstat1991_mor!=. & faar==1992
replace mstatbefore=(mstat1992_mor==2) if mstat1992_mor!=. & faar==1993
replace mstatbefore=(mstat1993_mor==2) if mstat1993_mor!=. & faar==1994

*education year before reform father
gen educ_far=educ1991_far if faar==1992
replace educ_far=educ1992_far if faar==1993
replace educ_far=educ1993_far if faar==1994

*education year before reform mother
gen educ_mor=educ1991_mor if faar==1992
replace educ_mor=educ1992_mor if faar==1993
replace educ_mor=educ1993_mor if faar==1994

*education year before reform younger sibling of father
gen ysos_educ_far=ysos_educ1991_far if faar==1992
replace ysos_educ_far=ysos_educ1992_far if faar==1993
replace ysos_educ_far=ysos_educ1993_far if faar==1994

*education year before reform older sibling of father
gen osos_educ_far=osos_educ1991_far if faar==1992
replace osos_educ_far=osos_educ1992_far if faar==1993
replace osos_educ_far=osos_educ1993_far if faar==1994

*county of residence year before reform mother
gen county_mor=int(mun1991_mor/100) if faar==1992
replace county_mor=int(mun1992_mor/100) if faar==1993
replace county_mor=int(mun1993_mor/100) if faar==1994

*county of residence year before reform father
gen county_far=int(mun1991_far/100) if faar==1992
replace county_far=int(mun1992_far/100) if faar==1993
replace county_far=int(mun1993_far/100) if faar==1994

*municipality of residence year before reform faher
gen mun_far=mun1991_far if faar==1992
replace mun_far=mun1992_far if faar==1993
replace mun_far=mun1993_far if faar==1994

*municipality of residence year before reform younger sibling offaher
gen ysos_mun_far=ysos_mun1991_far if faar==1992
replace ysos_mun_far=ysos_mun1992_far if faar==1993
replace ysos_mun_far=ysos_mun1993_far if faar==1994

*municipality of residence year before reform older sibling offaher
gen osos_mun_far=osos_mun1991_far if faar==1992
replace osos_mun_far=osos_mun1992_far if faar==1993
replace osos_mun_far=osos_mun1993_far if faar==1994

*mother student year before reform
gen student_mor=student1991_mor if faar==1992
replace student_mor=student1992_mor if faar==1993
replace student_mor=student1993_mor if faar==1994

*father student year before reform
gen student_far=student1991_far if faar==1992
replace student_far=student1992_far if faar==1993
replace student_far=student1993_far if faar==1994

*only eligible mothers and fathers
drop if eligible==0

*drop students
*drop if student_far==1
*drop if student_mor==1

*drop one week window
drop if fodtaar>mdy(3,24,1993) & fodtaar<mdy(4,8,1993)

*placebo
*keep if eligible==0

****Step 2: analysis
*Note: have to stack data since some fathers both have a younger and older brother


*make month variable and make it continoues across years
gen month=month(fodtaar)
forvalues i=1(1)12{
replace month=`i'-12 if month==`i' & fodtaar<12054
replace month=12+`i' if month==`i' & fodtaar>12419
} 

****Different restrictions on sample

*first child born after father has a child
replace ysos_child9206faar_far=. if  ysos_firstchildfaar_far<(fodtaar)
replace osos_child9206faar_far=. if  osos_firstchildfaar_far<(fodtaar)

*sister after 1.4.1993
replace ysos_child9206faar_far=. if  ysos_firstchildfaar_far<mdy(4,1,1993)
replace osos_child9206faar_far=. if  osos_firstchildfaar_far<mdy(4,1,1993)




****Create fractions based on days data
*fraction of leave brother of fathers 1.1.93-1.6.93
*days brother in law (younger sisters)
gen ysos_days_fil_far=ysos_days9206fil_far if  ysos_child9206faar_far!=. & ysos_kjonn_far==2
replace ysos_days_fil_far=0 if ysos_days_fil_far==. & ysos_child9206faar_far!=. & ysos_kjonn_far==2   

*days brother in law (older sisters)
gen osos_days_fil_far=osos_days9206fil_far if  osos_child9206faar_far!=. & osos_kjonn_far==2
replace osos_days_fil_far=0 if osos_days_fil_far==. & osos_child9206faar_far!=. & osos_kjonn_far==2

*fraction brother in law (younger sisters)
gen ysos_frac_fil_far=1 if ysos_days9206fil_far>0 & ysos_days9206fil_far!=. & ysos_child9206faar_far!=. & ysos_kjonn_far==2
replace ysos_frac_fil_far=0 if ysos_frac_fil_far==. & ysos_child9206faar_far!=. & ysos_kjonn_far==2  

*fraction brother in law (older sisters)
gen osos_frac_fil_far=1 if osos_days9206fil_far>0 & osos_days9206fil_far!=.  & osos_child9206faar_far!=. & osos_kjonn_far==2
replace osos_frac_fil_far=0 if osos_frac_fil_far==. & osos_child9206faar_far!=. & osos_kjonn_far==2  
*fertility younger sisters
gen ysos_fert_far=1 if ysos_child9206faar_far!=. & ysos_firstchildfaar_far>(fodtaar) & ysos_kjonn_far==2
replace ysos_fert_far=0 if ysos_child9206faar_far==. & ysos_firstchildfaar_far>(fodtaar) & ysos_kjonn_far==2

*fertility older sisters
gen osos_fert_far=1 if osos_child9206faar_far!=. & osos_firstchildfaar_far>(fodtaar) & osos_kjonn_far==2
replace osos_fert_far=0 if osos_child9206faar_far==. & osos_firstchildfaar_far>(fodtaar) & osos_kjonn_far==2

*younger and/or older sisters
*drop if osos_kjonn_far==2

rename antsoske sosken
rename paritet order

*****stack older and younger sisters
stack lnr far_lnr ysos_lnr_far sosken order kjonn ysos_kjonn_far ysos_child9206kjonn_far ffrac93 mfrac93 fdays93 mdays93 ysos_frac_fil_far ysos_days_fil_far ysos_child9206faar_far ysos_fert_far fodtaar educ_far educ_mor ysos_educ_far mstatbefore county_far mun_far ysos_mun_far county_mor citz_far citz_mor ysos_citz_far far_fodtaar mor_fodtaar ysos_faar_far eligible lnr far_lnr osos_lnr_far sosken order kjonn osos_kjonn_far osos_child9206kjonn_far ffrac93 mfrac93 fdays93 mdays93 osos_frac_fil_far osos_days_fil_far osos_child9206faar_far osos_fert_far fodtaar educ_far educ_mor osos_educ_far mstatbefore county_far mun_far osos_mun_far county_mor citz_far citz_mor osos_citz_far far_fodtaar mor_fodtaar osos_faar_far eligible, into(lnr far_lnr sos_lnr_far sosken order kjonn sos_kjonn_far sos_child9206kjonn_far ffrac93 mfrac93 fdays93 mdays93 sos_frac_fil_far sos_days_fil_far sos_child9206faar_far sos_fert_far fodtaar educ_far educ_mor sos_educ_far mstatbefore county_far mun_far sos_mun_far county_mor citz_far citz_mor sos_citz_far fodtaar_far fodtaar_mor sos_faar_far eligible)
drop if sos_kjonn_far==.

*age of fatehr, mother, brother in years

gen year_far=year(fodtaar_far)
gen year_mor=year(fodtaar_mor)
gen sos_year_far=year(sos_faar_far)
gen year_child=year(fodtaar)
gen sos_year_child=year(sos_child9206faar_far)
gen age_far=year_child-year_far
gen age_mor=year_child-year_mor
gen sos_age_far=sos_year_child-sos_year_far

gen age_far2=age_far*age_far
gen age_mor2=age_mor*age_mor
gen sos_age_far2=sos_age_far*sos_age_far

*college of father, mother, brother
gen coll_far=(educ_far>13) if educ_far!=.
gen coll_mor=(educ_mor>13) if educ_mor!=.
gen sos_coll_far=(sos_educ_far>13) if sos_educ_far!=.

*citizenship father, mother, brother
replace citz_far=1 if citz_far!=0 & citz_far!=.
replace citz_far=0 if citz_far==0
replace citz_mor=1 if citz_mor!=0 & citz_mor!=.
replace citz_mor=0 if citz_mor==0
replace sos_citz_far=1 if sos_citz_far!=0 & sos_citz_far!=.
replace sos_citz_far=0 if sos_citz_far==0

*female
gen female=1 if kjonn==2
replace female=0 if kjonn==1

gen sos_female=1 if sos_child9206kjonn_far==2
replace sos_female=0 if sos_child9206kjonn_far==1


*****regressions

gen reform=1 if fodtaar>=12144
replace reform=0 if fodtaar<12144

gen nreform=1 if fodtaar<12144
replace nreform=0 if fodtaar>=12144

*genereate month and week
gen month=month(fodtaar)
forvalues i=1(1)12{
replace month=`i'-12 if month==`i' & fodtaar<mdy(1,1,1993)
replace month=12+`i' if month==`i' & fodtaar>mdy(12,31,1993)
} 


gen week=week(fodtaar)
forvalues i=1(1)52{
replace week=`i'-52 if week==`i' & fodtaar<12054
replace week=52+`i' if week==`i' & fodtaar>12419
}

***generate linear slopes

*days
gen dslope=fodtaar-12144
gen dslope1=dslope*reform
gen dslope2=dslope*nreform
gen dslope12=dslope1*dslope1
gen dslope22=dslope2*dslope2
gen dslope13=dslope1*dslope1*dslope1
gen dslope23=dslope2*dslope2*dslope2


*week
gen wslope=week-12
gen wslope1=wslope*reform
gen wslope2=wslope*nreform
gen wslope12=wslope1*wslope1
gen wslope22=wslope2*wslope2

*month
gen mslope=month-3
gen mslope1=mslope*reform
gen mslope2=mslope*nreform
gen mslope12=mslope1*mslope1
gen mslope22=mslope2*mslope2

*slope for age of the brothers child
gen sdslope=sos_child9206faar_far-12144
gen sdslope1=sdslope*reform
gen sdslope2=sdslope*nreform
gen sdslope12=sdslope1*sdslope1
gen sdslope22=sdslope2*sdslope2

***triangular weights
gen triw=1-abs((fodtaar-12144)/365)
replace triw=1/365 if triw==0

gen miss1=(coll_far==.)
gen miss2=(county_far==.)
gen miss3=(mstatbefore==.)
gen miss4=(citz_far==.)

replace coll_far=-7 if coll_far==.
replace county_far=-8 if county_far==.
replace mstatbefore=-9 if mstatbefore==.  
replace citz_far=-10 if citz_far==.


****Table 2, panel A

*RD estimates for peer effects of fathers on their brother-in-law

*reduced form 
xi: reg sos_frac_fil_far reform dslope1 dslope2 coll_far i.county_far mstatbefore age_far age_far2 female miss1 miss2 miss3 [pw=triw], robust cluster(lnr)

*IV and first stage
xi: ivreg2 sos_frac_fil_far (ffrac93=reform) dslope1 dslope2 coll_far i.county_far mstatbefore age_far age_far2 female miss1 miss2 miss3 [pw=triw], robust cluster(lnr) first

*sample means
sum ffrac93 sos_frac_fil_far if reform==0 & sos_frac_fil_far!=.

log close
