****Analysis

*STEP 1: create variables
clear
use "/ssb/ovibos/a1/swp/kav/wk24/data/siblings9295.dta"
log using /ssb/ovibos/a1/swp/kav/wk24/aer_brothers.smcl, replace


*Create sample to study: children born between OCT 92 and SEP 93 
sort fodtaar
gen loww=12144-(365*1)
gen highw=12144+(365*1)
keep if fodtaar<highw & fodtaar>loww

**different windows: six months: +/-183, nine months +/-91

*drop twins
sort far_lnr fodtaar
*drop one twin
drop if (far_lnr==far_lnr[_n-1] & fodtaar==fodtaar[_n-1] & far_lnr!=0)

*only brothers
keep if ysos_kjonn_far==1|osos_kjonn_far==1
replace ysos_kjonn_far=. if ysos_kjonn_far==2 & osos_kjonn_far==1
replace osos_kjonn_far=. if osos_kjonn_far==2 & ysos_kjonn_far==1


*gen days, fraction for parents

gen fdays93=days_1_f if efodtaar_1_f<highw & efodtaar_1_f>loww & efodtaar_1_f==fodtaar
replace fdays93=days_2_f if efodtaar_2_f<highw & efodtaar_2_f>loww & fdays93==. & efodtaar_2_f==fodtaar
replace fdays93=days_3_f if efodtaar_3_f<highw & efodtaar_3_f>loww & fdays93==. & efodtaar_3_f==fodtaar
replace fdays93=days_4_f if efodtaar_4_f<highw & efodtaar_4_f>loww & fdays93==. & efodtaar_4_f==fodtaar
replace fdays93=0 if fodtaar<highw & fodtaar>loww & fdays93==.

gen ffrac93=1 if days_1_f>0 & days_1_f!=. & efodtaar_1_f<highw & efodtaar_1_f>loww & efodtaar_1_f==fodtaar
replace ffrac93=1 if days_2_f>0 & days_2_f!=. & efodtaar_2_f<highw & efodtaar_2_f>loww & ffrac93==. & efodtaar_2_f==fodtaar
replace ffrac93=1 if days_3_f>0 & days_3_f!=. & efodtaar_3_f<highw & efodtaar_3_f>loww & ffrac93==. & efodtaar_3_f==fodtaar
replace ffrac93=1 if days_4_f>0 & days_4_f!=. & efodtaar_4_f<highw & efodtaar_4_f>loww & ffrac93==. & efodtaar_4_f==fodtaar
replace ffrac93=0 if fodtaar<highw & fodtaar>loww & ffrac93==.

gen mdays93=days_1_m if efodtaar_1_m<highw & efodtaar_1_m>loww
replace mdays93=days_2_m if efodtaar_2_m<highw & efodtaar_2_m>loww & mdays93==.
replace mdays93=days_3_m if efodtaar_3_m<highw & efodtaar_3_m>loww & mdays93==.
replace mdays93=days_4_m if efodtaar_4_m<highw & efodtaar_4_m>loww & mdays93==.
replace mdays93=0 if fodtaar<highw & fodtaar>loww & mdays93==.

gen mfrac93=1 if days_1_m>0 & days_1_m!=. & efodtaar_1_m<highw & efodtaar_1_m>loww
replace mfrac93=1 if days_2_m>0 & days_2_m!=. & efodtaar_2_m<highw & efodtaar_2_m>loww & mfrac93==.
replace mfrac93=1 if days_3_m>0 & days_3_m!=. & efodtaar_3_m<highw & efodtaar_3_m>loww & mfrac93==.
replace mfrac93=1 if days_4_m>0 & days_4_m!=. & efodtaar_4_m<highw & efodtaar_4_m>loww & mfrac93==.
replace mfrac93=0 if fodtaar<highw & fodtaar>loww & mfrac93==.

*numbers for G - to create eligibility and employment
gen G1991=35033
gen G1992=36167
gen G1993=37033
gen G1994=37820
*eligibility status based on mothers earnings

gen eligible=1 if minc1991>G1991 & minc1991!=. & faar==1992
replace eligible=1 if minc1992>G1992 & minc1992!=. & faar==1993
replace eligible=1 if minc1993>G1993 & minc1993!=. & faar==1994
replace eligible=1 if minc1994>G1994 & minc1994!=. & faar==1995
replace eligible=0 if eligible==. & minc1991!=. & faar==1992
replace eligible=0 if eligible==. & minc1992!=. & faar==1993
replace eligible=0 if eligible==. & minc1993!=. & faar==1994
replace eligible=0 if eligible==. & minc1994!=. & faar==1995
*father eligibile
gen feligible=1 if finc1991>G1991 & finc1991!=. & faar==1992
replace feligible=1 if finc1992>G1992 & finc1992!=. & faar==1993
replace feligible=1 if finc1993>G1993 & finc1993!=. & faar==1994
replace feligible=1 if finc1994>G1994 & finc1994!=. & faar==1995
replace feligible=0 if feligible==. & finc1991!=. & faar==1992
replace feligible=0 if feligible==. & finc1992!=. & faar==1993
replace feligible=0 if feligible==. & finc1993!=. & faar==1994
replace feligible=0 if feligible==. & finc1994!=. & faar==1995
replace eligible=0 if feligible==0
*marital status year before reform
gen mstatbefore=(mstat1991_mor==2) if mstat1991_mor!=. & faar==1992
replace mstatbefore=(mstat1992_mor==2) if mstat1992_mor!=. & faar==1993
replace mstatbefore=(mstat1993_mor==2) if mstat1993_mor!=. & faar==1994

*education year before reform father
gen educ_far=educ1991_far if faar==1992
replace educ_far=educ1992_far if faar==1993
replace educ_far=educ1993_far if faar==1994

*income year before reform father
gen inc_far=finc1991 if faar==1992
replace inc_far=finc1992 if faar==1993
replace inc_far=finc1993 if faar==1994

*education year before reform mother
gen educ_mor=educ1991_mor if faar==1992
replace educ_mor=educ1992_mor if faar==1993
replace educ_mor=educ1993_mor if faar==1994

*education year before reform younger sibling of father
gen ysos_educ_far=ysos_educ1991_far if faar==1992
replace ysos_educ_far=ysos_educ1992_far if faar==1993
replace ysos_educ_far=ysos_educ1993_far if faar==1994

*education year before reform older sibling of father
gen osos_educ_far=osos_educ1991_far if faar==1992
replace osos_educ_far=osos_educ1992_far if faar==1993
replace osos_educ_far=osos_educ1993_far if faar==1994

*county of residence year before reform mother
gen county_mor=int(mun1991_mor/100) if faar==1992
replace county_mor=int(mun1992_mor/100) if faar==1993
replace county_mor=int(mun1993_mor/100) if faar==1994

*county of residence year before reform father
gen county_far=int(mun1991_far/100) if faar==1992
replace county_far=int(mun1992_far/100) if faar==1993
replace county_far=int(mun1993_far/100) if faar==1994

*eduaction groups
gen hs_mor=1*(educ_mor<=10)+2*(educ_mor==11|educ_mor==12|educ_mor==13)+3*(educ_mor==14|educ_mor==15)+4*(educ_mor>=16 & educ_mor!=.)+5*(educ_mor==.)
gen hs_far=1*(educ_far<=10)+2*(educ_far==11|educ_far==12|educ_far==13)+3*(educ_far==14|educ_far==15)+4*(educ_far>=16 & educ_far!=.)+5*(educ_far==.)

*father (and hence firm) urban/rural location in 1993

rename mun1991_far mun1991
rename mun1992_far mun1992 
rename mun1993_far mun1993
gen sen_far=0 if (mun1991==121|mun1991==428|mun1991==430|mun1991==432|mun1991==434|mun1991==436|mun1991==437|mun1991==438|mun1991==439|mun1991==441|mun1991==511|mun1991==512|mun1991==513|mun1991==514|mun1991==515|mun1991==516|mun1991==517|mun1991==519|mun1991==540|mun1991==541|mun1991==542|mun1991==543|mun1991==544|mun1991==545|mun1991==615|mun1991==616|mun1991==617|mun1991==618|mun1991==619|mun1991==620|mun1991==621|mun1991==633|mun1991==821|mun1991==826|mun1991==828|mun1991==829|mun1991==830|mun1991==831|mun1991==833|mun1991==834|mun1991==929|mun1991==938|mun1991==940|mun1991==941|mun1991==1003|mun1991==1026|mun1991==1034|mun1991==1046|mun1991==1133|mun1991==1134|mun1991==1135|mun1991==1144|mun1991==1151|mun1991==1154|mun1991==1211|mun1991==1214|mun1991==1219|mun1991==1222|mun1991==1223|mun1991==1224|mun1991==1227|mun1991==1231|mun1991==1232|mun1991==1233|mun1991==1234|mun1991==1238|mun1991==1244|mun1991==1252|mun1991==1264|mun1991==1265|mun1991==1266|mun1991==1411|mun1991==1412|mun1991==1413|mun1991==1416|mun1991==1417|mun1991==1418|mun1991==1419|mun1991==1420|mun1991==1421|mun1991==1422|mun1991==1424|mun1991==1426|mun1991==1428|mun1991==1429|mun1991==1438|mun1991==1439|mun1991==1441|mun1991==1443|mun1991==1444|mun1991==1445|mun1991==1449|mun1991==1511|mun1991==1514|mun1991==1515|mun1991==1524|mun1991==1525|mun1991==1526|mun1991==1539|mun1991==1545|mun1991==1546|mun1991==1560|mun1991==1563|mun1991==1566|mun1991==1567|mun1991==1569|mun1991==1571|mun1991==1573|mun1991==1612|mun1991==1627|mun1991==1630|mun1991==1632|mun1991==1633|mun1991==1634|mun1991==1635|mun1991==1640|mun1991==1644|mun1991==1665|mun1991==1711|mun1991==1717|mun1991==1718|mun1991==1723|mun1991==1736|mun1991==1738|mun1991==1739|mun1991==1740|mun1991==1742|mun1991==1743|mun1991==1748|mun1991==1749|mun1991==1750|mun1991==1751|mun1991==1755|mun1991==1811|mun1991==1815|mun1991==1816|mun1991==1818|mun1991==1825|mun1991==1826|mun1991==1827|mun1991==1828|mun1991==1834|mun1991==1835|mun1991==1836|mun1991==1837|mun1991==1838|mun1991==1839|mun1991==1842|mun1991==1848|mun1991==1849|mun1991==1850|mun1991==1851|mun1991==1853|mun1991==1854|mun1991==1856|mun1991==1857|mun1991==1859|mun1991==1860|mun1991==1866|mun1991==1867|mun1991==1868|mun1991==1870|mun1991==1871|mun1991==1874|mun1991==1915|mun1991==1917|mun1991==1919|mun1991==1920|mun1991==1922|mun1991==1923|mun1991==1924|mun1991==1925|mun1991==1926|mun1991==1927|mun1991==1928|mun1991==1929|mun1991==1931|mun1991==1933|mun1991==1938|mun1991==1939|mun1991==1940|mun1991==1941|mun1991==1942|mun1991==1943|mun1991==2002|mun1991==2011|mun1991==2014|mun1991==2015|mun1991==2017|mun1991==2018|mun1991==2019|mun1991==2020|mun1991==2021|mun1991==2022|mun1991==2023|mun1991==2024|mun1991==2025|mun1991==2027|mun1991==2028|mun1991==2030) & faar==1992
replace sen_far=1 if (mun1991==401|mun1991==420|mun1991==423|mun1991==425|mun1991==426|mun1991==429|mun1991==827|mun1991==911|mun1991==1004|mun1991==1032|mun1991==1037|mun1991==1101|mun1991==1111|mun1991==1112|mun1991==1221|mun1991==1228|mun1991==1235|mun1991==1401|mun1991==1430|mun1991==1431|mun1991==1432|mun1991==1433|mun1991==1519|mun1991==1520|mun1991==1613|mun1991==1636|mun1991==1702|mun1991==1703|mun1991==1721|mun1991==1724|mun1991==1725|mun1991==1729|mun1991==1744|mun1991==1812|mun1991==1813|mun1991==1820|mun1991==1822|mun1991==1824|mun1991==1840|mun1991==1841|mun1991==1845|mun1991==1865|mun1991==2003|mun1991==2004|mun1991==2012) & faar==1992
replace sen_far=2 if (mun1991==101|mun1991==105|mun1991==106|mun1991==111|mun1991==118|mun1991==119|mun1991==128|mun1991==403|mun1991==412|mun1991==415|mun1991==417|mun1991==418|mun1991==427|mun1991==501|mun1991==502|mun1991==520|mun1991==521|mun1991==522|mun1991==528|mun1991==529|mun1991==536|mun1991==538|mun1991==622|mun1991==631|mun1991==632|mun1991==701|mun1991==704|mun1991==706|mun1991==709|mun1991==716|mun1991==718|mun1991==719|mun1991==720|mun1991==722|mun1991==723|mun1991==728|mun1991==805|mun1991==806|mun1991==807|mun1991==811|mun1991==814|mun1991==815|mun1991==817|mun1991==819|mun1991==822|mun1991==901|mun1991==906|mun1991==912|mun1991==914|mun1991==919|mun1991==1106|mun1991==1146|mun1991==1149|mun1991==1216|mun1991==1502|mun1991==1503|mun1991==1504|mun1991==1516|mun1991==1517|mun1991==1523|mun1991==1528|mun1991==1529|mun1991==1531|mun1991==1532|mun1991==1534|mun1991==1535|mun1991==1543|mun1991==1547|mun1991==1548|mun1991==1551|mun1991==1554|mun1991==1556|mun1991==1557|mun1991==1572|mun1991==1804|mun1991==1805|mun1991==1832|mun1991==1833|mun1991==1852|mun1991==1901|mun1991==1911|mun1991==1913) & faar==1992
replace sen_far=3 if (mun1991==104|mun1991==122|mun1991==123|mun1991==124|mun1991==125|mun1991==127|mun1991==135|mun1991==136|mun1991==137|mun1991==138|mun1991==211|mun1991==213|mun1991==214|mun1991==215|mun1991==216|mun1991==217|mun1991==219|mun1991==220|mun1991==221|mun1991==226|mun1991==227|mun1991==228|mun1991==229|mun1991==230|mun1991==231|mun1991==233|mun1991==234|mun1991==235|mun1991==236|mun1991==237|mun1991==238|mun1991==239|mun1991==301|mun1991==419|mun1991==532|mun1991==533|mun1991==534|mun1991==602|mun1991==604|mun1991==605|mun1991==612|mun1991==623|mun1991==624|mun1991==625|mun1991==626|mun1991==627|mun1991==628|mun1991==702|mun1991==711|mun1991==713|mun1991==714|mun1991==904|mun1991==926|mun1991==928|mun1991==935|mun1991==937|mun1991==1001|mun1991==1002|mun1991==1014|mun1991==1017|mun1991==1018|mun1991==1021|mun1991==1027|mun1991==1029|mun1991==1102|mun1991==1103|mun1991==1114|mun1991==1119|mun1991==1120|mun1991==1121|mun1991==1122|mun1991==1124|mun1991==1127|mun1991==1129|mun1991==1130|mun1991==1141|mun1991==1142|mun1991==1145|mun1991==1201|mun1991==1241|mun1991==1242|mun1991==1243|mun1991==1245|mun1991==1246|mun1991==1247|mun1991==1251|mun1991==1253|mun1991==1256|mun1991==1259|mun1991==1260|mun1991==1263|mun1991==1601|mun1991==1624|mun1991==1638|mun1991==1648|mun1991==1653|mun1991==1657|mun1991==1662|mun1991==1663|mun1991==1664|mun1991==1714|mun1991==1719|mun1991==1902|mun1991==1936) & faar==1992

replace sen_far=0 if (mun1992==121|mun1992==428|mun1992==430|mun1992==432|mun1992==434|mun1992==436|mun1992==437|mun1992==438|mun1992==439|mun1992==441|mun1992==511|mun1992==512|mun1992==513|mun1992==514|mun1992==515|mun1992==516|mun1992==517|mun1992==519|mun1992==540|mun1992==541|mun1992==542|mun1992==543|mun1992==544|mun1992==545|mun1992==615|mun1992==616|mun1992==617|mun1992==618|mun1992==619|mun1992==620|mun1991==621|mun1992==633|mun1992==821|mun1992==826|mun1992==828|mun1992==829|mun1992==830|mun1992==831|mun1992==833|mun1992==834|mun1992==929|mun1992==938|mun1992==940|mun1992==941|mun1992==1003|mun1992==1026|mun1992==1034|mun1992==1046|mun1992==1133|mun1992==1134|mun1992==1135|mun1992==1144|mun1992==1151|mun1992==1154|mun1992==1211|mun1992==1214|mun1992==1219|mun1992==1222|mun1992==1223|mun1992==1224|mun1992==1227|mun1992==1231|mun1992==1232|mun1992==1233|mun1992==1234|mun1992==1238|mun1992==1244|mun1992==1252|mun1992==1264|mun1992==1265|mun1992==1266|mun1992==1411|mun1992==1412|mun1992==1413|mun1992==1416|mun1992==1417|mun1992==1418|mun1992==1419|mun1992==1420|mun1992==1421|mun1992==1422|mun1992==1424|mun1992==1426|mun1992==1428|mun1992==1429|mun1992==1438|mun1992==1439|mun1992==1441|mun1992==1443|mun1992==1444|mun1992==1445|mun1992==1449|mun1992==1511|mun1992==1514|mun1992==1515|mun1992==1524|mun1992==1525|mun1992==1526|mun1992==1539|mun1992==1545|mun1992==1546|mun1992==1560|mun1992==1563|mun1992==1566|mun1992==1567|mun1992==1569|mun1992==1571|mun1992==1573|mun1992==1612|mun1992==1627|mun1992==1630|mun1992==1632|mun1992==1633|mun1992==1634|mun1992==1635|mun1992==1640|mun1992==1644|mun1992==1665|mun1992==1711|mun1992==1717|mun1992==1718|mun1992==1723|mun1992==1736|mun1992==1738|mun1992==1739|mun1992==1740|mun1992==1742|mun1992==1743|mun1992==1748|mun1992==1749|mun1992==1750|mun1992==1751|mun1992==1755|mun1992==1811|mun1992==1815|mun1992==1816|mun1992==1818|mun1992==1825|mun1992==1826|mun1992==1827|mun1992==1828|mun1992==1834|mun1992==1835|mun1992==1836|mun1992==1837|mun1992==1838|mun1992==1839|mun1992==1842|mun1992==1848|mun1992==1849|mun1992==1850|mun1992==1851|mun1992==1853|mun1992==1854|mun1992==1856|mun1992==1857|mun1992==1859|mun1992==1860|mun1992==1866|mun1992==1867|mun1992==1868|mun1992==1870|mun1992==1871|mun1992==1874|mun1992==1915|mun1992==1917|mun1992==1919|mun1992==1920|mun1992==1922|mun1992==1923|mun1992==1924|mun1992==1925|mun1992==1926|mun1992==1927|mun1992==1928|mun1992==1929|mun1992==1931|mun1992==1933|mun1992==1938|mun1992==1939|mun1992==1940|mun1992==1941|mun1992==1942|mun1992==1943|mun1992==2002|mun1992==2011|mun1992==2014|mun1992==2015|mun1992==2017|mun1992==2018|mun1992==2019|mun1992==2020|mun1992==2021|mun1992==2022|mun1992==2023|mun1992==2024|mun1992==2025|mun1992==2027|mun1992==2028|mun1992==2030) & faar==1993
replace sen_far=1 if (mun1992==401|mun1992==420|mun1992==423|mun1992==425|mun1992==426|mun1992==429|mun1992==827|mun1992==911|mun1992==1004|mun1992==1032|mun1992==1037|mun1992==1101|mun1992==1111|mun1992==1112|mun1992==1221|mun1992==1228|mun1992==1235|mun1992==1401|mun1992==1430|mun1992==1431|mun1992==1432|mun1992==1433|mun1992==1519|mun1992==1520|mun1992==1613|mun1992==1636|mun1992==1702|mun1992==1703|mun1992==1721|mun1992==1724|mun1992==1725|mun1992==1729|mun1992==1744|mun1992==1812|mun1992==1813|mun1992==1820|mun1992==1822|mun1992==1824|mun1992==1840|mun1992==1841|mun1992==1845|mun1992==1865|mun1992==2003|mun1992==2004|mun1992==2012) & faar==1993
replace sen_far=2 if (mun1992==101|mun1992==105|mun1992==106|mun1992==111|mun1992==118|mun1992==119|mun1992==128|mun1992==403|mun1992==412|mun1992==415|mun1992==417|mun1992==418|mun1992==427|mun1992==501|mun1992==502|mun1992==520|mun1992==521|mun1992==522|mun1992==528|mun1992==529|mun1992==536|mun1992==538|mun1992==622|mun1992==631|mun1992==632|mun1992==701|mun1992==704|mun1992==706|mun1992==709|mun1992==716|mun1992==718|mun1992==719|mun1992==720|mun1992==722|mun1992==723|mun1992==728|mun1992==805|mun1992==806|mun1992==807|mun1992==811|mun1992==814|mun1992==815|mun1992==817|mun1992==819|mun1992==822|mun1992==901|mun1992==906|mun1992==912|mun1992==914|mun1992==919|mun1992==1106|mun1992==1146|mun1992==1149|mun1992==1216|mun1992==1502|mun1992==1503|mun1992==1504|mun1992==1516|mun1992==1517|mun1992==1523|mun1992==1528|mun1992==1529|mun1992==1531|mun1992==1532|mun1992==1534|mun1992==1535|mun1992==1543|mun1992==1547|mun1992==1548|mun1992==1551|mun1992==1554|mun1992==1556|mun1992==1557|mun1992==1572|mun1992==1804|mun1992==1805|mun1992==1832|mun1992==1833|mun1992==1852|mun1992==1901|mun1992==1911|mun1992==1913) & faar==1993
replace sen_far=3 if (mun1992==104|mun1992==122|mun1992==123|mun1992==124|mun1992==125|mun1992==127|mun1992==135|mun1992==136|mun1992==137|mun1992==138|mun1992==211|mun1992==213|mun1992==214|mun1992==215|mun1992==216|mun1992==217|mun1992==219|mun1992==220|mun1992==221|mun1992==226|mun1992==227|mun1992==228|mun1992==229|mun1992==230|mun1992==231|mun1992==233|mun1992==234|mun1992==235|mun1992==236|mun1992==237|mun1992==238|mun1992==239|mun1992==301|mun1992==419|mun1992==532|mun1992==533|mun1992==534|mun1992==602|mun1992==604|mun1992==605|mun1992==612|mun1992==623|mun1992==624|mun1992==625|mun1992==626|mun1992==627|mun1992==628|mun1992==702|mun1992==711|mun1992==713|mun1992==714|mun1992==904|mun1992==926|mun1992==928|mun1992==935|mun1992==937|mun1992==1001|mun1992==1002|mun1992==1014|mun1992==1017|mun1992==1018|mun1992==1021|mun1992==1027|mun1992==1029|mun1992==1102|mun1992==1103|mun1992==1114|mun1992==1119|mun1992==1120|mun1992==1121|mun1992==1122|mun1992==1124|mun1992==1127|mun1992==1129|mun1992==1130|mun1992==1141|mun1992==1142|mun1992==1145|mun1992==1201|mun1992==1241|mun1992==1242|mun1992==1243|mun1992==1245|mun1992==1246|mun1992==1247|mun1992==1251|mun1992==1253|mun1992==1256|mun1992==1259|mun1992==1260|mun1992==1263|mun1992==1601|mun1992==1624|mun1992==1638|mun1992==1648|mun1992==1653|mun1992==1657|mun1992==1662|mun1992==1663|mun1992==1664|mun1992==1714|mun1992==1719|mun1992==1902|mun1992==1936) & faar==1993

replace sen_far=0 if (mun1993==121|mun1993==428|mun1993==430|mun1993==432|mun1993==434|mun1993==436|mun1993==437|mun1993==438|mun1993==439|mun1993==441|mun1993==511|mun1993==512|mun1993==513|mun1993==514|mun1993==515|mun1993==516|mun1993==517|mun1993==519|mun1993==540|mun1993==541|mun1993==542|mun1993==543|mun1993==544|mun1993==545|mun1993==615|mun1993==616|mun1993==617|mun1993==618|mun1993==619|mun1993==620|mun1993==621|mun1993==633|mun1993==821|mun1993==826|mun1993==828|mun1993==829|mun1993==830|mun1993==831|mun1993==833|mun1993==834|mun1993==929|mun1993==938|mun1993==940|mun1993==941|mun1993==1003|mun1993==1026|mun1993==1034|mun1993==1046|mun1993==1133|mun1993==1134|mun1993==1135|mun1993==1144|mun1993==1151|mun1993==1154|mun1993==1211|mun1993==1214|mun1993==1219|mun1993==1222|mun1993==1223|mun1993==1224|mun1993==1227|mun1993==1231|mun1993==1232|mun1993==1233|mun1993==1234|mun1993==1238|mun1993==1244|mun1993==1252|mun1993==1264|mun1993==1265|mun1993==1266|mun1993==1411|mun1993==1412|mun1993==1413|mun1993==1416|mun1993==1417|mun1993==1418|mun1993==1419|mun1993==1420|mun1993==1421|mun1993==1422|mun1993==1424|mun1993==1426|mun1993==1428|mun1993==1429|mun1993==1438|mun1993==1439|mun1993==1441|mun1993==1443|mun1993==1444|mun1993==1445|mun1993==1449|mun1993==1511|mun1993==1514|mun1993==1515|mun1993==1524|mun1993==1525|mun1993==1526|mun1993==1539|mun1993==1545|mun1993==1546|mun1993==1560|mun1993==1563|mun1993==1566|mun1993==1567|mun1993==1569|mun1993==1571|mun1993==1573|mun1993==1612|mun1993==1627|mun1993==1630|mun1993==1632|mun1993==1633|mun1993==1634|mun1993==1635|mun1993==1640|mun1993==1644|mun1993==1665|mun1993==1711|mun1993==1717|mun1993==1718|mun1993==1723|mun1993==1736|mun1993==1738|mun1993==1739|mun1993==1740|mun1993==1742|mun1993==1743|mun1993==1748|mun1993==1749|mun1993==1750|mun1993==1751|mun1993==1755|mun1993==1811|mun1993==1815|mun1993==1816|mun1993==1818|mun1993==1825|mun1993==1826|mun1993==1827|mun1993==1828|mun1993==1834|mun1993==1835|mun1993==1836|mun1993==1837|mun1993==1838|mun1993==1839|mun1993==1842|mun1993==1848|mun1993==1849|mun1993==1850|mun1993==1851|mun1993==1853|mun1993==1854|mun1993==1856|mun1993==1857|mun1993==1859|mun1993==1860|mun1993==1866|mun1993==1867|mun1993==1868|mun1993==1870|mun1993==1871|mun1993==1874|mun1993==1915|mun1993==1917|mun1993==1919|mun1993==1920|mun1993==1922|mun1993==1923|mun1993==1924|mun1993==1925|mun1993==1926|mun1993==1927|mun1993==1928|mun1993==1929|mun1993==1931|mun1993==1933|mun1993==1938|mun1993==1939|mun1993==1940|mun1993==1941|mun1993==1942|mun1993==1943|mun1993==2002|mun1993==2011|mun1993==2014|mun1993==2015|mun1993==2017|mun1993==2018|mun1993==2019|mun1993==2020|mun1993==2021|mun1993==2022|mun1993==2023|mun1993==2024|mun1993==2025|mun1993==2027|mun1993==2028|mun1993==2030) & faar==1994
replace sen_far=1 if (mun1993==401|mun1993==420|mun1993==423|mun1993==425|mun1993==426|mun1993==429|mun1993==827|mun1993==911|mun1993==1004|mun1993==1032|mun1993==1037|mun1993==1101|mun1993==1111|mun1993==1112|mun1993==1221|mun1993==1228|mun1993==1235|mun1993==1401|mun1993==1430|mun1993==1431|mun1993==1432|mun1993==1433|mun1993==1519|mun1993==1520|mun1993==1613|mun1993==1636|mun1993==1702|mun1993==1703|mun1993==1721|mun1993==1724|mun1993==1725|mun1993==1729|mun1993==1744|mun1993==1812|mun1993==1813|mun1993==1820|mun1993==1822|mun1993==1824|mun1993==1840|mun1993==1841|mun1993==1845|mun1993==1865|mun1993==2003|mun1993==2004|mun1993==2012) & faar==1994
replace sen_far=2 if (mun1993==101|mun1993==105|mun1993==106|mun1993==111|mun1993==118|mun1993==119|mun1993==128|mun1993==403|mun1993==412|mun1993==415|mun1993==417|mun1993==418|mun1993==427|mun1993==501|mun1993==502|mun1993==520|mun1993==521|mun1993==522|mun1993==528|mun1993==529|mun1993==536|mun1993==538|mun1993==622|mun1993==631|mun1993==632|mun1993==701|mun1993==704|mun1993==706|mun1993==709|mun1993==716|mun1993==718|mun1993==719|mun1993==720|mun1993==722|mun1993==723|mun1993==728|mun1993==805|mun1993==806|mun1993==807|mun1993==811|mun1993==814|mun1993==815|mun1993==817|mun1993==819|mun1993==822|mun1993==901|mun1993==906|mun1993==912|mun1993==914|mun1993==919|mun1993==1106|mun1993==1146|mun1993==1149|mun1993==1216|mun1993==1502|mun1993==1503|mun1993==1504|mun1993==1516|mun1993==1517|mun1993==1523|mun1993==1528|mun1993==1529|mun1993==1531|mun1993==1532|mun1993==1534|mun1993==1535|mun1993==1543|mun1993==1547|mun1993==1548|mun1993==1551|mun1993==1554|mun1993==1556|mun1993==1557|mun1993==1572|mun1993==1804|mun1993==1805|mun1993==1832|mun1993==1833|mun1993==1852|mun1993==1901|mun1993==1911|mun1993==1913) & faar==1994
replace sen_far=3 if (mun1993==104|mun1993==122|mun1993==123|mun1993==124|mun1993==125|mun1993==127|mun1993==135|mun1993==136|mun1993==137|mun1993==138|mun1993==211|mun1993==213|mun1993==214|mun1993==215|mun1993==216|mun1993==217|mun1993==219|mun1993==220|mun1993==221|mun1993==226|mun1993==227|mun1993==228|mun1993==229|mun1993==230|mun1993==231|mun1993==233|mun1993==234|mun1993==235|mun1993==236|mun1993==237|mun1993==238|mun1993==239|mun1993==301|mun1993==419|mun1993==532|mun1993==533|mun1993==534|mun1993==602|mun1993==604|mun1993==605|mun1993==612|mun1993==623|mun1993==624|mun1993==625|mun1993==626|mun1993==627|mun1993==628|mun1993==702|mun1993==711|mun1993==713|mun1993==714|mun1993==904|mun1993==926|mun1993==928|mun1993==935|mun1993==937|mun1993==1001|mun1993==1002|mun1993==1014|mun1993==1017|mun1993==1018|mun1993==1021|mun1993==1027|mun1993==1029|mun1993==1102|mun1993==1103|mun1993==1114|mun1993==1119|mun1993==1120|mun1993==1121|mun1993==1122|mun1993==1124|mun1993==1127|mun1993==1129|mun1993==1130|mun1993==1141|mun1993==1142|mun1993==1145|mun1993==1201|mun1993==1241|mun1993==1242|mun1993==1243|mun1993==1245|mun1993==1246|mun1993==1247|mun1993==1251|mun1993==1253|mun1993==1256|mun1993==1259|mun1993==1260|mun1993==1263|mun1993==1601|mun1993==1624|mun1993==1638|mun1993==1648|mun1993==1653|mun1993==1657|mun1993==1662|mun1993==1663|mun1993==1664|mun1993==1714|mun1993==1719|mun1993==1902|mun1993==1936) & faar==1994
rename mun1991 mun1991_far
rename mun1992 mun1992_far
rename mun1993 mun1993_far

gen urban_far=1 if sen_far==2|sen_far==3
replace urban_far=0 if sen_far==0|sen_far==1


*municipality of residence year before reform faher
gen mun_far=mun1991_far if faar==1992
replace mun_far=mun1992_far if faar==1993
replace mun_far=mun1993_far if faar==1994

*municipality of residence year before reform younger sibling offaher
gen ysos_mun_far=ysos_mun1991_far if faar==1992
replace ysos_mun_far=ysos_mun1992_far if faar==1993
replace ysos_mun_far=ysos_mun1993_far if faar==1994

*municipality of residence year before reform older sibling offaher
gen osos_mun_far=osos_mun1991_far if faar==1992
replace osos_mun_far=osos_mun1992_far if faar==1993
replace osos_mun_far=osos_mun1993_far if faar==1994

*mother student year before reform
gen student_mor=student1991_mor if faar==1992
replace student_mor=student1992_mor if faar==1993
replace student_mor=student1993_mor if faar==1994

*father student year before reform
gen student_far=student1991_far if faar==1992
replace student_far=student1992_far if faar==1993
replace student_far=student1993_far if faar==1994


****Step 2: analysis
*Note: have to stack data since some fathers both have a younger and older brother


*make month variable and make it continoues across years
gen month=month(fodtaar)
forvalues i=1(1)12{
replace month=`i'-12 if month==`i' & fodtaar<12054
replace month=12+`i' if month==`i' & fodtaar>12419
} 

****Different restrictions on sample

*first child born after father has a child
replace ysos_child9206faar_far=. if  ysos_firstchildfaar_far<(fodtaar)
replace osos_child9206faar_far=. if  osos_firstchildfaar_far<(fodtaar)

*brother after 1.4.1993
replace ysos_child9206faar_far=. if  ysos_firstchildfaar_far<mdy(4,1,1993)
replace osos_child9206faar_far=. if  osos_firstchildfaar_far<mdy(4,1,1993)


****Create fractions based on days data
*fraction of leave brother of fathers 1.1.93-1.6.93
*days younger brothers
gen ysos_days_f_far=ysos_days9206f_far if  ysos_child9206faar_far!=. & ysos_kjonn_far==1
replace ysos_days_f_far=0 if ysos_days_f_far==. & ysos_child9206faar_far!=. & ysos_kjonn_far==1   

*days older brother
gen osos_days_f_far=osos_days9206f_far if  osos_child9206faar_far!=. & osos_kjonn_far==1
replace osos_days_f_far=0 if osos_days_f_far==. & osos_child9206faar_far!=. & osos_kjonn_far==1

*fraction younger brothers
gen ysos_frac_f_far=1 if ysos_days9206f_far>0 & ysos_days9206f_far!=. & ysos_child9206faar_far!=. & ysos_kjonn_far==1
replace ysos_frac_f_far=0 if ysos_frac_f_far==. & ysos_child9206faar_far!=. & ysos_kjonn_far==1  

*fraction older brother
gen osos_frac_f_far=1 if osos_days9206f_far>0 & osos_days9206f_far!=.  & osos_child9206faar_far!=. & osos_kjonn_far==1
replace osos_frac_f_far=0 if osos_frac_f_far==. & osos_child9206faar_far!=. & osos_kjonn_far==1  
*fertility younger brother
gen ysos_fert_far=1 if ysos_child9206faar_far!=. & ysos_firstchildfaar_far>(fodtaar) & ysos_kjonn_far==1
replace ysos_fert_far=0 if ysos_child9206faar_far==. & ysos_firstchildfaar_far>(fodtaar) & ysos_kjonn_far==1

*fertility older brother
gen osos_fert_far=1 if osos_child9206faar_far!=. & osos_firstchildfaar_far>(fodtaar) & osos_kjonn_far==1
replace osos_fert_far=0 if osos_child9206faar_far==. & osos_firstchildfaar_far>(fodtaar) & osos_kjonn_far==1

*younger and/or older brothers
*drop if osos_kjonn_far==1

rename antsoske sosken
rename paritet order

*****stack older and younger brothers
stack lnr far_lnr ysos_lnr_far sosken order kjonn ysos_kjonn_far ysos_child9206kjonn_far ffrac93 mfrac93 fdays93 mdays93 ysos_frac_f_far ysos_days_f_far ysos_child9206faar_far ysos_fert_far fodtaar finc1993 ysos_inc1993_far educ_far hs_far hs_mor inc_far urban_far educ_mor ysos_educ_far mstatbefore county_far mun_far ysos_mun_far county_mor citz_far citz_mor ysos_citz_far far_fodtaar mor_fodtaar ysos_faar_far eligible sektor_n_far ysos_sektor_n_far nace_n_far isic_n_far ysos_nace_n_far ysos_isic_n_far lnr far_lnr osos_lnr_far sosken order kjonn osos_kjonn_far osos_child9206kjonn_far ffrac93 mfrac93 fdays93 mdays93 osos_frac_f_far osos_days_f_far osos_child9206faar_far osos_fert_far fodtaar finc1993 osos_inc1993_far educ_far hs_far hs_mor inc_far urban_far educ_mor osos_educ_far mstatbefore county_far mun_far osos_mun_far county_mor citz_far citz_mor osos_citz_far far_fodtaar mor_fodtaar osos_faar_far eligible sektor_n_far osos_sektor_n_far nace_n_far isic_n_far osos_nace_n_far osos_isic_n_far, into(lnr far_lnr sos_lnr_far sosken order kjonn sos_kjonn_far sos_child9206kjonn_far ffrac93 mfrac93 fdays93 mdays93 sos_frac_f_far sos_days_f_far sos_child9206faar_far sos_fert_far fodtaar finc1993 sos_inc1993_far educ_far hs_far hs_mor inc_far urban_far educ_mor sos_educ_far mstatbefore county_far mun_far sos_mun_far county_mor citz_far citz_mor sos_citz_far fodtaar_far fodtaar_mor sos_faar_far eligible sektor_n_far sos_sektor_n_far nace_n_far isic_n_far sos_nace_n_far sos_isic_n_far)
drop if sos_kjonn_far==.

*age of fatehr, mother, brother in years

gen year_far=year(fodtaar_far)
gen year_mor=year(fodtaar_mor)
gen sos_year_far=year(sos_faar_far)
gen year_child=year(fodtaar)
gen sos_year_child=year(sos_child9206faar_far)
gen age_far=year_child-year_far
gen age_mor=year_child-year_mor
gen sos_age_far=sos_year_child-sos_year_far

gen age_far2=age_far*age_far
gen age_mor2=age_mor*age_mor
gen sos_age_far2=sos_age_far*sos_age_far

*college of father, mother, brother
gen coll_far=(educ_far>13) if educ_far!=.
gen coll_mor=(educ_mor>13) if educ_mor!=.
gen sos_coll_far=(sos_educ_far>13) if sos_educ_far!=.

*citizenship father, mother, brother
replace citz_far=1 if citz_far!=0 & citz_far!=.
replace citz_far=0 if citz_far==0
replace citz_mor=1 if citz_mor!=0 & citz_mor!=.
replace citz_mor=0 if citz_mor==0
replace sos_citz_far=1 if sos_citz_far!=0 & sos_citz_far!=.
replace sos_citz_far=0 if sos_citz_far==0

*female
gen female=1 if kjonn==2
replace female=0 if kjonn==1

gen sos_female=1 if sos_child9206kjonn_far==2
replace sos_female=0 if sos_child9206kjonn_far==1


*****regressions

gen reform=1 if fodtaar>=12144
replace reform=0 if fodtaar<12144

gen nreform=1 if fodtaar<12144
replace nreform=0 if fodtaar>=12144

***generate linear slopes

*days
gen dslope=fodtaar-12144
gen dslope1=dslope*reform
gen dslope2=dslope*nreform
gen dslope12=dslope1*dslope1
gen dslope22=dslope2*dslope2
gen dslope13=dslope1*dslope1*dslope1
gen dslope23=dslope2*dslope2*dslope2


***triangular weights
gen triw=1-abs((fodtaar-12144)/365)
replace triw=1/365 if triw==0

*six months
gen triw2=1-abs((fodtaar-12144)/182)
replace triw2=1/182 if triw==0
*nine months
gen triw3=1-abs((fodtaar-12144)/274)
replace triw3=1/274 if triw==0

*sixteen months
gen triw16=1-abs((fodtaar-12144)/485)
replace triw16=1/485 if triw==0

*create dummies for missing observations
gen miss1=(county_far==.)
gen miss2=(mstatbefore==.)
gen miss3=(age_mor==.)
gen miss4=(age_mor2==.)

replace county_far=-8 if county_far==.
replace mstatbefore=-9 if mstatbefore==.  
replace age_mor=-10 if age_mor==.
replace age_mor2=-11 if age_mor2==.

****Table 1, panel B

*RD estimates for peer effects of fathers on their brothers

*reduced form
preserve
drop if fodtaar>mdy(3,24,1993) & fodtaar<mdy(4,8,1993)
drop if eligible==0
xi: reg sos_frac_f_far reform dslope1 dslope2  i.hs_far i.hs_mor i.county_far mstatbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3 miss4 [pw=triw], robust cluster(lnr)

*IV and first stage
xi: ivreg2 sos_frac_f_far (ffrac93=reform) dslope1 dslope2  i.hs_far i.hs_mor i.county_far mstatbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3 miss4 [pw=triw], robust cluster(lnr) first

*sample means
sum ffrac93 sos_frac_f_far if reform==0 & sos_frac_f_far!=.
restore


****Table A1: descriptives for fathers in the brother sample

preserve
replace mstatbefore=. if mstatbefore==-9
replace age_mor=. if age_mor==-10
replace age_mor2=. if age_mor2==-11
drop if fodtaar>mdy(3,24,1993) & fodtaar<mdy(4,8,1993)
drop if eligible==0
sort lnr
drop if lnr==lnr[_n-1]
sum coll_far age_far coll_mor age_mor mstatbefore female if sos_frac_f_far!=.
restore


****Table A3: RD estimates for direct effects of the April 1, 1993 reform on parental characteristics

preserve
replace mstatbefore=. if mstatbefore==-9
replace age_mor=. if age_mor==-10
replace age_mor2=. if age_mor2==-11
drop if fodtaar>mdy(3,24,1993) & fodtaar<mdy(4,8,1993)
drop if eligible==0
reg coll_far reform dslope1 dslope2 if sos_frac_f_far!=., cluster(lnr)
reg coll_mor reform dslope1 dslope2 if sos_frac_f_far!=., cluster(lnr)
xi:reg age_far reform dslope1 dslope2 i.year_child if sos_frac_f_far!=., cluster(lnr)
xi:reg age_mor reform dslope1 dslope2 i.year_child if sos_frac_f_far!=., cluster(lnr)
reg female reform dslope1 dslope2  if sos_frac_f_far!=., cluster(lnr)
reg mstatbefore reform dslope1 dslope2 if sos_frac_f_far!=., cluster(lnr)

sum coll_far coll_mor age_far age_mor female mstatbefore if sos_frac_f_far!=. & reform==0
restore

preserve
drop if fodtaar>mdy(3,24,1993) & fodtaar<mdy(4,8,1993)
reg eligible reform dslope1 dslope2 if sos_frac_f_far!=., cluster(lnr)
sum eligible if sos_frac_f_far!=. & reform==0
restore

****Table A4: panel A: specification checks for brother peer effects

preserve
drop if fodtaar>mdy(3,24,1993) & fodtaar<mdy(4,8,1993)
drop if eligible==0
*no controls
xi: ivreg sos_frac_f_far (ffrac93=reform) dslope1 dslope2, robust cluster(lnr) first
xi: reg sos_frac_f_far reform dslope1 dslope2, robust cluster(lnr)

*no triangular weights
xi: ivreg sos_frac_f_far (ffrac93=reform) dslope1 dslope2 i.hs_far i.hs_mor i.county_far mstatbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3 miss4, robust cluster(lnr) first
xi: reg sos_frac_f_far reform dslope1 dslope2   i.hs_far i.hs_mor i.county_far mstatbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3 miss4 , robust cluster(lnr)

*quadratic trend
xi: ivreg sos_frac_f_far (ffrac93=reform) dslope1 dslope2 dslope12 dslope22 i.hs_far i.hs_mor i.county_far mstatbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3 miss4 [pw=triw], robust cluster(lnr) first
xi: reg sos_frac_f_far reform dslope1 dslope2 dslope12 dslope22  i.hs_far i.hs_mor i.county_far mstatbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3 miss4 [pw=triw], robust cluster(lnr)

*cubic trend
xi: ivreg sos_frac_f_far (ffrac93=reform) dslope1 dslope2 dslope12 dslope22 dslope13 dslope23 i.hs_far i.hs_mor i.county_far mstatbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3 miss4 [pw=triw], robust cluster(lnr) first
xi: reg sos_frac_f_far reform dslope1 dslope2 dslope12 dslope22 dslope13 dslope23  i.hs_far i.hs_mor i.county_far mstatbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3 miss4 [pw=triw], robust cluster(lnr)
restore

* no donut: have to rerun as take out +/- one week in early run
preserve
drop if eligible==0
xi: ivreg sos_frac_f_far (ffrac93=reform) dslope1 dslope2  i.hs_far i.hs_mor i.county_far mstatbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3 miss4 [pw=triw], robust cluster(lnr) first
xi: reg sos_frac_f_far reform dslope1 dslope2  i.hs_far i.hs_mor i.county_far mstatbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3 miss4 [pw=triw], robust cluster(lnr)
restore

* two week donut
preserve
drop if fodtaar>mdy(3,17,1993) & fodtaar<mdy(4,15,1993)
drop if eligible==0
xi: ivreg sos_frac_f_far (ffrac93=reform) dslope1 dslope2 i.hs_far i.hs_mor i.county_far mstatbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3 miss4 [pw=triw], robust cluster(lnr) first
xi: reg sos_frac_f_far reform dslope1 dslope2 i.hs_far i.hs_mor i.county_far mstatbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3 miss4 [pw=triw], robust cluster(lnr)
restore

*include ineligibles
preserve 
drop if fodtaar>mdy(3,24,1993) & fodtaar<mdy(4,8,1993)
xi: ivreg sos_frac_f_far (ffrac93=reform) dslope1 dslope2 i.hs_far i.hs_mor i.county_far mstatbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3 miss4 [pw=triw], robust cluster(lnr) first
xi: reg sos_frac_f_far reform dslope1 dslope2   i.hs_far i.hs_mor i.county_far mstatbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3 miss4 [pw=triw], robust cluster(lnr)
restore

*cluster on days
preserve 
drop if fodtaar>mdy(3,24,1993) & fodtaar<mdy(4,8,1993)
drop if eligible==0
xi: ivreg sos_frac_f_far (ffrac93=reform) dslope1 dslope2 i.hs_far i.hs_mor i.county_far mstatbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3 miss4 [pw=triw], robust cluster(fodtaar) first
xi: reg sos_frac_f_far reform dslope1 dslope2 i.hs_far i.hs_mor i.county_far mstatbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3 miss4 [pw=triw], robust cluster(fodtaar)
restore


****Table A5: panel A: window robustness checks for brother peer effects

*six month window
preserve 
drop if fodtaar>mdy(3,24,1993) & fodtaar<mdy(4,8,1993)
gen loww6=12144-(183*1)
gen highw6=12144+(183*1)
keep if fodtaar<highw6 & fodtaar>loww6
drop if eligible==0
xi: ivreg sos_frac_f_far (ffrac93=reform) dslope1 dslope2 i.hs_far i.hs_mor i.county_far mstatbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3 miss4 [pw=triw2], robust cluster(lnr) first
xi: reg sos_frac_f_far reform dslope1 dslope2  i.hs_far i.hs_mor i.county_far mstatbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3 miss4 [pw=triw2], robust cluster(lnr)
restore

*nine month window
preserve 
drop if fodtaar>mdy(3,24,1993) & fodtaar<mdy(4,8,1993)
gen loww9=12144-(275*1)
gen highw9=12144+(275*1)
keep if fodtaar<highw9 & fodtaar>loww9
drop if eligible==0
xi: ivreg sos_frac_f_far (ffrac93=reform) dslope1 dslope2 i.hs_far i.hs_mor i.county_far mstatbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3 miss4 [pw=triw3], robust cluster(lnr) first
xi: reg sos_frac_f_far reform dslope1 dslope2  i.hs_far i.hs_mor i.county_far mstatbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3 miss4 [pw=triw3], robust cluster(lnr)
restore

****Table A6: panel A: local linear regression estimates for brother peer effects

*programs local linear regressions

*first stage and reduced form
program katrine120, rclass
version 10
syntax [varlist(min=2 max=2)] [, *]
tokenize `varlist'
tempvar z f0 f1
qui g `z'=0 in 1
local opt "at(`z') nogr rec deg(1) bw(120) `options'"
lpoly `1'  `2' if `2'>=0, gen (`f0') `opt'
lpoly `1'  `2' if `2'<0, gen (`f1') `opt'
return scalar d=`=`f0'[1]-`f1'[1]'
di as txt "Estimate: " as res `f0'[1]-`f1'[1] 
eret clear
end

*local wald
program wald120, rclass
version 10
syntax [varlist(min=3 max=3)] [, *]
tokenize `varlist'
tempvar z f0 f1 g0 g1
qui g `z'=0 in 1
local opt "at(`z') nogr rec deg(1) bw(120) `options'"
lpoly `1'  `3' if `3'>=0, gen (`f0') `opt'
lpoly `1'  `3' if `3'<0, gen (`f1') `opt'
lpoly `2'  `3' if `3'>=0, gen (`g0') `opt'
lpoly `2'  `3' if `3'<0, gen (`g1') `opt'
return scalar d=(`=`f0'[1]-`f1'[1]')/(`=`g0'[1]-`g1'[1]')
di as txt "Estimate: " as res (`f0'[1]-`f1'[1])/(`g0'[1]-`g1'[1]) 
eret clear
end


*LLR - 120 days
preserve
drop if fodtaar>mdy(3,24,1993) & fodtaar<mdy(4,8,1993)
drop if eligible==0
drop if sos_frac_f_far==.
replace fodtaar=fodtaar-mdy(4,1,1993)
count if fodtaar>=-120 & fodtaar<=120
bootstrap r(d), reps(2000) cluster(lnr): katrine120 ffrac93 fodtaar
bootstrap r(d), reps(2000) cluster(lnr): katrine120 sos_frac_f_far fodtaar
restore

*Wald - 120 days
preserve
drop if fodtaar>mdy(3,24,1993) & fodtaar<mdy(4,8,1993)
drop if eligible==0
drop if sos_frac_f_far==.
replace fodtaar=fodtaar-mdy(4,1,1993)
bootstrap r(d), reps(2000) cluster(lnr): wald120 sos_frac_f_far ffrac93 fodtaar
restore

*first stage and reduced form
program katrine180, rclass
version 10
syntax [varlist(min=2 max=2)] [, *]
tokenize `varlist'
tempvar z f0 f1
qui g `z'=0 in 1
local opt "at(`z') nogr rec deg(1) bw(180) `options'"
lpoly `1'  `2' if `2'>=0, gen (`f0') `opt'
lpoly `1'  `2' if `2'<0, gen (`f1') `opt'
return scalar d=`=`f0'[1]-`f1'[1]'
di as txt "Estimate: " as res `f0'[1]-`f1'[1] 
eret clear
end

*local wald
program wald180, rclass
version 10
syntax [varlist(min=3 max=3)] [, *]
tokenize `varlist'
tempvar z f0 f1 g0 g1
qui g `z'=0 in 1
local opt "at(`z') nogr rec deg(1) bw(180) `options'"
lpoly `1'  `3' if `3'>=0, gen (`f0') `opt'
lpoly `1'  `3' if `3'<0, gen (`f1') `opt'
lpoly `2'  `3' if `3'>=0, gen (`g0') `opt'
lpoly `2'  `3' if `3'<0, gen (`g1') `opt'
return scalar d=(`=`f0'[1]-`f1'[1]')/(`=`g0'[1]-`g1'[1]')
di as txt "Estimate: " as res (`f0'[1]-`f1'[1])/(`g0'[1]-`g1'[1]) 
eret clear
end


*LLR - 180 days
preserve
drop if fodtaar>mdy(3,24,1993) & fodtaar<mdy(4,8,1993)
drop if eligible==0
drop if sos_frac_f_far==.
replace fodtaar=fodtaar-mdy(4,1,1993)
count if fodtaar>=-180 & fodtaar<=180
bootstrap r(d), reps(2000) cluster(lnr): katrine180 ffrac93 fodtaar
bootstrap r(d), reps(2000) cluster(lnr): katrine180 sos_frac_f_far fodtaar
restore

*Wald - 180 days
preserve
drop if fodtaar>mdy(3,24,1993) & fodtaar<mdy(4,8,1993)
drop if eligible==0
drop if sos_frac_f_far==.
replace fodtaar=fodtaar-mdy(4,1,1993)
bootstrap r(d), reps(2000) cluster(lnr): wald180 sos_frac_f_far ffrac93 fodtaar
restore

*first stage and reduced form
program katrine240, rclass
version 10
syntax [varlist(min=2 max=2)] [, *]
tokenize `varlist'
tempvar z f0 f1
qui g `z'=0 in 1
local opt "at(`z') nogr rec deg(1) bw(240) `options'"
lpoly `1'  `2' if `2'>=0, gen (`f0') `opt'
lpoly `1'  `2' if `2'<0, gen (`f1') `opt'
return scalar d=`=`f0'[1]-`f1'[1]'
di as txt "Estimate: " as res `f0'[1]-`f1'[1] 
eret clear
end

*local wald
program wald240, rclass
version 10
syntax [varlist(min=3 max=3)] [, *]
tokenize `varlist'
tempvar z f0 f1 g0 g1
qui g `z'=0 in 1
local opt "at(`z') nogr rec deg(1) bw(240) `options'"
lpoly `1'  `3' if `3'>=0, gen (`f0') `opt'
lpoly `1'  `3' if `3'<0, gen (`f1') `opt'
lpoly `2'  `3' if `3'>=0, gen (`g0') `opt'
lpoly `2'  `3' if `3'<0, gen (`g1') `opt'
return scalar d=(`=`f0'[1]-`f1'[1]')/(`=`g0'[1]-`g1'[1]')
di as txt "Estimate: " as res (`f0'[1]-`f1'[1])/(`g0'[1]-`g1'[1]) 
eret clear
end


*LLR - 240 days
preserve
drop if fodtaar>mdy(3,24,1993) & fodtaar<mdy(4,8,1993)
drop if eligible==0
drop if sos_frac_f_far==.
replace fodtaar=fodtaar-mdy(4,1,1993)
count if fodtaar>=-240 & fodtaar<=240
bootstrap r(d), reps(2000) cluster(lnr): katrine240 ffrac93 fodtaar
bootstrap r(d), reps(2000) cluster(lnr): katrine240 sos_frac_f_far fodtaar
restore

*Wald - 240 days
preserve
drop if fodtaar>mdy(3,24,1993) & fodtaar<mdy(4,8,1993)
drop if eligible==0
drop if sos_frac_f_far==.
replace fodtaar=fodtaar-mdy(4,1,1993)
bootstrap r(d), reps(2000) cluster(lnr): wald240 sos_frac_f_far ffrac93 fodtaar
restore

*first stage and reduced form
program katrine341, rclass
version 10
syntax [varlist(min=2 max=2)] [, *]
tokenize `varlist'
tempvar z f0 f1
qui g `z'=0 in 1
local opt "at(`z') nogr rec deg(1) bw(341) `options'"
lpoly `1'  `2' if `2'>=0, gen (`f0') `opt'
lpoly `1'  `2' if `2'<0, gen (`f1') `opt'
return scalar d=`=`f0'[1]-`f1'[1]'
di as txt "Estimate: " as res `f0'[1]-`f1'[1] 
eret clear
end

*local wald
program wald341, rclass
version 10
syntax [varlist(min=3 max=3)] [, *]
tokenize `varlist'
tempvar z f0 f1 g0 g1
qui g `z'=0 in 1
local opt "at(`z') nogr rec deg(1) bw(341) `options'"
lpoly `1'  `3' if `3'>=0, gen (`f0') `opt'
lpoly `1'  `3' if `3'<0, gen (`f1') `opt'
lpoly `2'  `3' if `3'>=0, gen (`g0') `opt'
lpoly `2'  `3' if `3'<0, gen (`g1') `opt'
return scalar d=(`=`f0'[1]-`f1'[1]')/(`=`g0'[1]-`g1'[1]')
di as txt "Estimate: " as res (`f0'[1]-`f1'[1])/(`g0'[1]-`g1'[1]) 
eret clear
end


*LLR - 341 days
preserve
drop if fodtaar>mdy(3,24,1993) & fodtaar<mdy(4,8,1993)
drop if eligible==0
drop if sos_frac_f_far==.
replace fodtaar=fodtaar-mdy(4,1,1993)
count if fodtaar>=-341 & fodtaar<=341
bootstrap r(d), reps(2000) cluster(lnr): katrine341 ffrac93 fodtaar
bootstrap r(d), reps(2000) cluster(lnr): katrine341 sos_frac_f_far fodtaar
restore

*Wald - 341 days
preserve
drop if fodtaar>mdy(3,24,1993) & fodtaar<mdy(4,8,1993)
drop if eligible==0
drop if sos_frac_f_far==.
replace fodtaar=fodtaar-mdy(4,1,1993)
bootstrap r(d), reps(2000) cluster(lnr): wald341 sos_frac_f_far ffrac93 fodtaar
restore


***figures

**Figure 2: fraction of peer fathers taking leave
preserve
set scheme s2mono
drop if sos_frac_f_far==.
count

replace fodtaar=fodtaar-12144

egen a=mean(ffrac93)
egen b=sd(ffrac93)
gen max=a+(0.6*b)
gen min=a-(0.6*b)
sum max min

gen week2=.
forvalues i=-364(14)-7{
replace week2=`i' if fodtaar>=`i' & fodtaar<`i'+14
}
forvalues i=7(14)364{
replace week2=`i' if fodtaar>=`i' & fodtaar<`i'+14
}
tab week2
sort week2
by week2: gen obs=_N

sum obs
by week2: egen mfodtaar=mean(fodtaar) 
sort mfodtaar
by mfodtaar: egen mffrac93=mean(ffrac93)

sort week2

gen g2=fodtaar if fodtaar<0
gen g3=fodtaar if fodtaar>=0

sort fodtaar
twoway (scatter mffrac93 week2, msize(vsmall) msymbol(circle) mcolor(black)) (lfitci ffrac93 g2 [pw=triw], lcolor(gs9) lpattern(dash) ciplot(rline)) (lfitci ffrac93 g3 [pw=triw], lcolor(gs9) lpattern(dash) ciplot(rline)) (lfit ffrac93 g2 [pw=triw], lpattern(solid)) (lfit ffrac93 g3 [pw=triw], lpattern(solid)) , ylabel(0(.06).60, labsize(medium)) xlabel(-364(52)364, labsize(medium)) xline(0, lpattern(shortdash)) xtitle("Child's date of birth" "(Peer father)", size(medium)) ytitle("Fraction taking leave" "(Peer father)", size(medium)) title(B. Family Network, size(large)) legend(off)
restore


**Figure 3: brothers leave takeup
preserve
set scheme s2mono
drop if sos_frac_f_far==.
count

replace fodtaar=fodtaar-mdy(4,1,1993)

egen a=mean(sos_frac_f_far)
egen b=sd(sos_frac_f_far)
gen max=a+(0.3*b)
gen min=a-(0.3*b)
sum max min

gen week2=.
forvalues i=-364(14)-7{
replace week2=`i' if fodtaar>=`i' & fodtaar<`i'+14
}
forvalues i=7(14)364{
replace week2=`i' if fodtaar>=`i' & fodtaar<`i'+14
}

sort week2
by week2: egen mfodtaar=mean(fodtaar) 
sort mfodtaar
by mfodtaar: egen msos_frac_f_far=mean(sos_frac_f_far)
sum msos_frac_f_far

sort week2

gen g2=fodtaar if fodtaar<0
gen g3=fodtaar if fodtaar>=0

sort fodtaar
twoway (scatter msos_frac_f_far week2, msize(vsmall) msymbol(circle) mcolor(black)) (lfitci sos_frac_f_far g2 [pw=triw], lcolor(gs9) lpattern(dash) ciplot(rline)) (lfitci sos_frac_f_far g3 [pw=triw], lpattern(dash) lcolor(gs9) ciplot(rline)) (lfit sos_frac_f_far g2 [pw=triw], lpattern(solid)) (lfit sos_frac_f_far g3 [pw=triw], lpattern(solid) lcolor(black)) , ylabel(.43(.04).73, labsize(medium)) xlabel(-364(52)364, labsize(medium)) xline(0, lpattern(shortdash)) xtitle("Child's date of birth" "(Peer father)", size(medium)) ytitle("Fraction taking leave" "(Brother)", size(medium)) title(B. Family Network, size(large)) legend(off)
restore

**Figure A1: brotherss fertility
preserve
set scheme s2mono
drop if sos_fert_far==.
count

replace fodtaar=fodtaar-mdy(4,1,1993)

egen a=mean(sos_fert_far)
egen b=sd(sos_fert_far)
gen max=a+(0.3*b)
gen min=a-(0.3*b)
sum max min

gen week2=.
forvalues i=-364(14)-7{
replace week2=`i' if fodtaar>=`i' & fodtaar<`i'+14
}
forvalues i=7(14)364{
replace week2=`i' if fodtaar>=`i' & fodtaar<`i'+14
}

sort week2
by week2: egen mfodtaar=mean(fodtaar) 
sort mfodtaar
by mfodtaar: egen msos_fert_f_far=mean(sos_fert_far)

sort week2

gen g2=fodtaar if fodtaar<0
gen g3=fodtaar if fodtaar>=0

lpoly sos_fert_far fodtaar if fodtaar<0, bw(180) nogr deg(1) rec se(u1) gen(x1 y1)
lpoly sos_fert_far fodtaar if fodtaar>=0, bw(180) nogr deg(1) rec se(u2) gen(x2 y2)
gen x1l=y1+1.96*u1
gen x1u=y1-1.96*u1
gen x2l=y2+1.96*u2
gen x2u=y2-1.96*u2

sort week2
twoway (scatter msos_fert_f_far week2, msize(vsmall) msymbol(circle) mcolor(black)) (line y1 x1, lpattern(solid)) (line y2 x2, lpattern(solid)) (line x1l x1, lpattern(dash) mcolor(gs9)) (line x1u x1, lpattern(dash) mcolor(gs9)) (line x2l x2, lpattern(dash) mcolor(gs9)) (line x2u x2, lpattern(dash) mcolor(gs9)), ylabel(.40(.04).70) xlabel(-364(52)364) xline(0, lpattern(shortdash)) xtitle("Child's date of birth" "(Peer father)") ytitle("Fraction having a child" "(Brother)") legend(off)
restore



**Figure A2: brothers leave takeup (larger bins)
preserve
set scheme s2mono
drop if sos_frac_f_far==.
count

replace fodtaar=fodtaar-mdy(4,1,1993)

egen a=mean(sos_frac_f_far)
egen b=sd(sos_frac_f_far)
gen max=a+(0.3*b)
gen min=a-(0.3*b)
sum max min

gen week2=.
forvalues i=-364(28)-7{
replace week2=`i' if fodtaar>=`i' & fodtaar<`i'+28
}
forvalues i=7(28)364{
replace week2=`i' if fodtaar>=`i' & fodtaar<`i'+28
}

sort week2
by week2: egen mfodtaar=mean(fodtaar) 
sort mfodtaar
by mfodtaar: egen msos_frac_f_far=mean(sos_frac_f_far)
sum msos_frac_f_far

sort week2

gen g2=fodtaar if fodtaar<0
gen g3=fodtaar if fodtaar>=0

sort fodtaar
twoway (scatter msos_frac_f_far week2, msize(vsmall) msymbol(circle) mcolor(black)) (lfitci sos_frac_f_far g2 [pw=triw], lcolor(gs9) lpattern(dash) ciplot(rline)) (lfitci sos_frac_f_far g3 [pw=triw], lcolor(gs9) lpattern(dash) ciplot(rline)) (lfit sos_frac_f_far g2 [pw=triw] , lpattern(solid)) (lfit sos_frac_f_far g3 [pw=triw], lpattern(solid)) , ylabel(.43(.04).73) xlabel(-364(52)364) xline(0, lpattern(shortdash)) xtitle("Child's date of birth" "(Peer father)") ytitle("Fraction taking leave" "(Brother)") legend(off)
restore


**Figure A3: brothers leave takeup (local linear regression)
preserve
set scheme s2mono
drop if sos_frac_f_far==.
count

replace fodtaar=fodtaar-mdy(4,1,1993)

egen a=mean(sos_frac_f_far)
egen b=sd(sos_frac_f_far)
gen max=a+(0.5*b)
gen min=a-(0.5*b)
sum max min

gen week2=.
forvalues i=-364(14)-7{
replace week2=`i' if fodtaar>=`i' & fodtaar<`i'+14
}
forvalues i=7(14)364{
replace week2=`i' if fodtaar>=`i' & fodtaar<`i'+14
}


sort week2
by week2: egen mfodtaar=mean(fodtaar) 
sort mfodtaar
by mfodtaar: egen msos_frac_f_far=mean(sos_frac_f_far)

sort week2

lpoly sos_frac_f_far fodtaar if fodtaar<0, bw(180) nogr deg(1) rec se(u1) gen(x1 y1)
lpoly sos_frac_f_far fodtaar if fodtaar>=0, bw(180) nogr deg(1) rec se(u2) gen(x2 y2)
gen x1l=y1+1.96*u1
gen x1u=y1-1.96*u1
gen x2l=y2+1.96*u2
gen x2u=y2-1.96*u2

sort week2
twoway (scatter msos_frac_f_far week2, msize(vsmall) msymbol(circle) mcolor(black)) (line y1 x1, lpattern(solid)) (line y2 x2, lpattern(solid)) (line x1l x1, lpattern(dash) mcolor(gs9)) (line x1u x1, lpattern(dash) mcolor(gs9)) (line x2l x2, lpattern(dash) mcolor(gs9)) (line x2u x2, lpattern(dash) mcolor(gs9)), ylabel(.43(.04).73) xlabel(-364(52)364) xline(0, lpattern(shortdash)) xtitle("Child's date of birth" "(Peer father)") ytitle("Fraction taking leave" "(Brother)") legend(off)
restore

**Figure A5 spacing between brothers and the peer fathers births
preserve
set scheme s2mono
drop if sos_child9206faar_far==.
drop if sos_fert_far==.
count
gen diffage=sos_child9206faar_far-fodtaar

gen fodtaar2=fodtaar
replace fodtaar=fodtaar-12144

egen a=mean(diffage)
egen b=sd(diffage)
gen max=a+(0.5*b)
gen min=a-(0.5*b)
sum max min

gen week2=.
forvalues i=-364(14)-7{
replace week2=`i' if fodtaar>=`i' & fodtaar<`i'+14
}
forvalues i=7(14)364{
replace week2=`i' if fodtaar>=`i' & fodtaar<`i'+14
}
sort week2
by week2: egen mfodtaar=mean(fodtaar) 
sort mfodtaar
by mfodtaar: egen mdiffage=mean(diffage)

sort week2

gen g2=fodtaar if fodtaar<0
gen g3=fodtaar if fodtaar>=0

lpoly diffage fodtaar if fodtaar<0, bw(180) nogr deg(1) rec se(u1) gen(x1 y1)
lpoly diffage fodtaar if fodtaar>=0, bw(180) nogr deg(1) rec se(u2) gen(x2 y2)
gen x1l=y1+1.96*u1
gen x1u=y1-1.96*u1
gen x2l=y2+1.96*u2
gen x2u=y2-1.96*u2

sort week2
twoway (scatter mdiffage week2, msize(vsmall) msymbol(circle) mcolor(black)) (line y1 x1, lpattern(solid)) (line y2 x2, lpattern(solid)) (line x1l x1, lpattern(dash) mcolor(gs9)) (line x1u x1, lpattern(dash) mcolor(gs9)) (line x2l x2, lpattern(dash) mcolor(gs9)) (line x2u x2, lpattern(dash) mcolor(gs9)), ylabel(1246(200)2546) xlabel(-364(52)364) xline(0, lpattern(shortdash)) xtitle("Child's date of birth" "(Peer father)") ytitle("Spacing between births" "(Brother)") legend(off)
restore

log close
