****Analysis firm

clear
use "/ssb/ovibos/a1/swp/kav/wk24/data/firms_leave9295.dta"
log using /ssb/ovibos/a1/swp/kav/wk24/aer_firms.smcl, append

***create firm  analysis


gen loww=mdy(10,1,1992)
gen highw=mdy(9,30,1993)
format loww highw %td

*one variable for birth year of child of father. note: only allow one child in the window. First priority: 1993
gen fodtaar_child=child93faar if kjonn==1
replace fodtaar_child=child92faar if fodtaar_child==. & kjonn==1
replace fodtaar_child=child94faar if fodtaar_child==. & kjonn==1
format fodtaar_child %td

gen year_child=year(fodtaar_child)

*days and fraction of leave for father
gen fdays93=days_1_f if efodtaar_1_f<highw & efodtaar_1_f>loww & fodtaar_child!=.
replace fdays93=days_2_f if efodtaar_2_f<highw & efodtaar_2_f>loww & fdays93==. & fodtaar_child!=.
replace fdays93=days_3_f if efodtaar_3_f<highw & efodtaar_3_f>loww & fdays93==. & fodtaar_child!=.
replace fdays93=days_4_f if efodtaar_4_f<highw & efodtaar_4_f>loww & fdays93==. 
replace fdays93=0 if ((fodtaar_child>loww & fodtaar_child!=.) &(fodtaar_child<highw & fodtaar_child!=.)) & fdays93==. & kjonn==1

gen ffrac93=1 if fdays93>0 & fdays93!=.
replace ffrac93=0 if fdays93==0

tab ffrac93 if fodtaar_child<12144 
tab ffrac93 if fodtaar_child>=12144


gen high06=.
gen low94=mdy(1,1,1992)

***gen days and frac for first child born after 1992-2006 - all
gen fdays9206=days_1_f if efodtaar_1_f>low94 & efodtaar_1_f!=.
replace fdays9206=days_2_f if efodtaar_2_f>low94 & fdays9206==. & efodtaar_2_f!=.
replace fdays9206=days_3_f if efodtaar_3_f>low94 & fdays9206==. & efodtaar_3_f!=.
replace fdays9206=days_4_f if efodtaar_4_f>low94 & fdays9206==. & efodtaar_4_f!=.
replace fdays9206=0 if (firstchild9206faar!=.) & fdays9206==. & kjonn==1

gen ffrac9206=1 if fdays9206>0 & fdays9206!=.
replace ffrac9206=0 if fdays9206==0

*gen education, marital status, county year before birth for father
***note: have to make all variables for fathers here, based on birth date of child
*later, can use same variables for colleagues
gen educ_far=educ1991 if year_child==1992
replace educ_far=educ1992 if year_child==1993
replace educ_far=educ1993 if year_child==1994

gen educ_mor=mor92_educ1991 if year_child==1992
replace educ_mor=mor93_educ1992 if year_child==1993
replace educ_mor=mor94_educ1993 if year_child==1994

gen coll=1 if educ_far>13 & educ_far!=.
replace coll=0 if coll==. & educ_far!=.

gen coll_mor=1 if educ_mor>13 & educ_mor!=.
replace coll_mor=0 if coll_mor==. & educ_mor!=.

gen mbefore=(mstat1991==2) if mstat1991!=. & year_child==1992
replace mbefore=(mstat1992==2) if mstat1992!=. & year_child==1993
replace mbefore=(mstat1993==2) if mstat1993!=. & year_child==1994

gen county=int(mun1991/100) if year_child==1992
replace county=int(mun1992/100) if year_child==1993
replace county=int(mun1993/100) if year_child==1994

gen year=year(fodtaar)
gen age_far=year_child-year

gen year_mor=year(mor92_fodtaar) if year_child==1992
replace year_mor=year(mor93_fodtaar) if year_child==1993
replace year_mor=year(mor94_fodtaar) if year_chil==1994
gen age_mor=year_child-year_mor

*female child
gen female=1 if child92kjonn==2 & year_child==1992
replace female=0 if child92kjonn==1 & year_child==1992
replace female=1 if child93kjonn==2 & year_child==1993
replace female=0 if child93kjonn==1 & year_child==1993
replace female=1 if child94kjonn==2 & year_child==1994
replace female=0 if child94kjonn==1 & year_child==1994



*father (and hence firm) urban/rural location in 1993


gen sen1993=0 if (mun1993==121|mun1993==428|mun1993==430|mun1993==432|mun1993==434|mun1993==436|mun1993==437|mun1993==438|mun1993==439|mun1993==441|mun1993==511|mun1993==512|mun1993==513|mun1993==514|mun1993==515|mun1993==516|mun1993==517|mun1993==519|mun1993==540|mun1993==541|mun1993==542|mun1993==543|mun1993==544|mun1993==545|mun1993==615|mun1993==616|mun1993==617|mun1993==618|mun1993==619|mun1993==620|mun1993==621|mun1993==633|mun1993==821|mun1993==826|mun1993==828|mun1993==829|mun1993==830|mun1993==831|mun1993==833|mun1993==834|mun1993==929|mun1993==938|mun1993==940|mun1993==941|mun1993==1003|mun1993==1026|mun1993==1034|mun1993==1046|mun1993==1133|mun1993==1134|mun1993==1135|mun1993==1144|mun1993==1151|mun1993==1154|mun1993==1211|mun1993==1214|mun1993==1219|mun1993==1222|mun1993==1223|mun1993==1224|mun1993==1227|mun1993==1231|mun1993==1232|mun1993==1233|mun1993==1234|mun1993==1238|mun1993==1244|mun1993==1252|mun1993==1264|mun1993==1265|mun1993==1266|mun1993==1411|mun1993==1412|mun1993==1413|mun1993==1416|mun1993==1417|mun1993==1418|mun1993==1419|mun1993==1420|mun1993==1421|mun1993==1422|mun1993==1424|mun1993==1426|mun1993==1428|mun1993==1429|mun1993==1438|mun1993==1439|mun1993==1441|mun1993==1443|mun1993==1444|mun1993==1445|mun1993==1449|mun1993==1511|mun1993==1514|mun1993==1515|mun1993==1524|mun1993==1525|mun1993==1526|mun1993==1539|mun1993==1545|mun1993==1546|mun1993==1560|mun1993==1563|mun1993==1566|mun1993==1567|mun1993==1569|mun1993==1571|mun1993==1573|mun1993==1612|mun1993==1627|mun1993==1630|mun1993==1632|mun1993==1633|mun1993==1634|mun1993==1635|mun1993==1640|mun1993==1644|mun1993==1665|mun1993==1711|mun1993==1717|mun1993==1718|mun1993==1723|mun1993==1736|mun1993==1738|mun1993==1739|mun1993==1740|mun1993==1742|mun1993==1743|mun1993==1748|mun1993==1749|mun1993==1750|mun1993==1751|mun1993==1755|mun1993==1811|mun1993==1815|mun1993==1816|mun1993==1818|mun1993==1825|mun1993==1826|mun1993==1827|mun1993==1828|mun1993==1834|mun1993==1835|mun1993==1836|mun1993==1837|mun1993==1838|mun1993==1839|mun1993==1842|mun1993==1848|mun1993==1849|mun1993==1850|mun1993==1851|mun1993==1853|mun1993==1854|mun1993==1856|mun1993==1857|mun1993==1859|mun1993==1860|mun1993==1866|mun1993==1867|mun1993==1868|mun1993==1870|mun1993==1871|mun1993==1874|mun1993==1915|mun1993==1917|mun1993==1919|mun1993==1920|mun1993==1922|mun1993==1923|mun1993==1924|mun1993==1925|mun1993==1926|mun1993==1927|mun1993==1928|mun1993==1929|mun1993==1931|mun1993==1933|mun1993==1938|mun1993==1939|mun1993==1940|mun1993==1941|mun1993==1942|mun1993==1943|mun1993==2002|mun1993==2011|mun1993==2014|mun1993==2015|mun1993==2017|mun1993==2018|mun1993==2019|mun1993==2020|mun1993==2021|mun1993==2022|mun1993==2023|mun1993==2024|mun1993==2025|mun1993==2027|mun1993==2028|mun1993==2030)

replace sen1993=1 if (mun1993==401|mun1993==420|mun1993==423|mun1993==425|mun1993==426|mun1993==429|mun1993==827|mun1993==911|mun1993==1004|mun1993==1032|mun1993==1037|mun1993==1101|mun1993==1111|mun1993==1112|mun1993==1221|mun1993==1228|mun1993==1235|mun1993==1401|mun1993==1430|mun1993==1431|mun1993==1432|mun1993==1433|mun1993==1519|mun1993==1520|mun1993==1613|mun1993==1636|mun1993==1702|mun1993==1703|mun1993==1721|mun1993==1724|mun1993==1725|mun1993==1729|mun1993==1744|mun1993==1812|mun1993==1813|mun1993==1820|mun1993==1822|mun1993==1824|mun1993==1840|mun1993==1841|mun1993==1845|mun1993==1865|mun1993==2003|mun1993==2004|mun1993==2012)
 
replace sen1993=2 if (mun1993==101|mun1993==105|mun1993==106|mun1993==111|mun1993==118|mun1993==119|mun1993==128|mun1993==403|mun1993==412|mun1993==415|mun1993==417|mun1993==418|mun1993==427|mun1993==501|mun1993==502|mun1993==520|mun1993==521|mun1993==522|mun1993==528|mun1993==529|mun1993==536|mun1993==538|mun1993==622|mun1993==631|mun1993==632|mun1993==701|mun1993==704|mun1993==706|mun1993==709|mun1993==716|mun1993==718|mun1993==719|mun1993==720|mun1993==722|mun1993==723|mun1993==728|mun1993==805|mun1993==806|mun1993==807|mun1993==811|mun1993==814|mun1993==815|mun1993==817|mun1993==819|mun1993==822|mun1993==901|mun1993==906|mun1993==912|mun1993==914|mun1993==919|mun1993==1106|mun1993==1146|mun1993==1149|mun1993==1216|mun1993==1502|mun1993==1503|mun1993==1504|mun1993==1516|mun1993==1517|mun1993==1523|mun1993==1528|mun1993==1529|mun1993==1531|mun1993==1532|mun1993==1534|mun1993==1535|mun1993==1543|mun1993==1547|mun1993==1548|mun1993==1551|mun1993==1554|mun1993==1556|mun1993==1557|mun1993==1572|mun1993==1804|mun1993==1805|mun1993==1832|mun1993==1833|mun1993==1852|mun1993==1901|mun1993==1911|mun1993==1913)

replace sen1993=3 if (mun1993==104|mun1993==122|mun1993==123|mun1993==124|mun1993==125|mun1993==127|mun1993==135|mun1993==136|mun1993==137|mun1993==138|mun1993==211|mun1993==213|mun1993==214|mun1993==215|mun1993==216|mun1993==217|mun1993==219|mun1993==220|mun1993==221|mun1993==226|mun1993==227|mun1993==228|mun1993==229|mun1993==230|mun1993==231|mun1993==233|mun1993==234|mun1993==235|mun1993==236|mun1993==237|mun1993==238|mun1993==239|mun1993==301|mun1993==419|mun1993==532|mun1993==533|mun1993==534|mun1993==602|mun1993==604|mun1993==605|mun1993==612|mun1993==623|mun1993==624|mun1993==625|mun1993==626|mun1993==627|mun1993==628|mun1993==702|mun1993==711|mun1993==713|mun1993==714|mun1993==904|mun1993==926|mun1993==928|mun1993==935|mun1993==937|mun1993==1001|mun1993==1002|mun1993==1014|mun1993==1017|mun1993==1018|mun1993==1021|mun1993==1027|mun1993==1029|mun1993==1102|mun1993==1103|mun1993==1114|mun1993==1119|mun1993==1120|mun1993==1121|mun1993==1122|mun1993==1124|mun1993==1127|mun1993==1129|mun1993==1130|mun1993==1141|mun1993==1142|mun1993==1145|mun1993==1201|mun1993==1241|mun1993==1242|mun1993==1243|mun1993==1245|mun1993==1246|mun1993==1247|mun1993==1251|mun1993==1253|mun1993==1256|mun1993==1259|mun1993==1260|mun1993==1263|mun1993==1601|mun1993==1624|mun1993==1638|mun1993==1648|mun1993==1653|mun1993==1657|mun1993==1662|mun1993==1663|mun1993==1664|mun1993==1714|mun1993==1719|mun1993==1902|mun1993==1936)

gen urban1993=1 if sen1993==2|sen1993==3
replace urban1993=0 if sen1993==0|sen1993==1

*start date job
gen start_far=eansatt
*stop date job
gen stop_far=eslutta

*gen churning rate for firms
gen tenure=stop_far-start_far
sort org_b
by org_b: egen avtenfirm=pctile(tenure)
egen avten=pctile(avtenfirm)
gen abovemean=1 if avtenfirm>avten & avtenfirm!=.
replace abovemean=0 if avtenfirm<=avten

*rank in the firm

gsort org_b -inc1993
by org_b: egen top=rank(-inc1993)
by org_b: egen n=count(inc1993)

gen hazen=(top-0.5)/n

gen hazen_far=hazen
gen top_far=top
*order child
gen order_child=child92order if year_child==1992
replace order_child=child93order if year_child==1993
replace order_child=child94order if year_child==1994

*sosken child
gen sosken_child=child92sosken if year_child==1992
replace sosken_child=child93sosken if year_child==1993
replace sosken_child=child94sosken if year_child==1994

*fathers days nexy child

gen fdaysnext=days_2_f if efodtaar_2_f>=highw & sosken_child>=order_child & fodtaar_child!=.
replace fdaysnext=days_3_f if efodtaar_3_f>=highw & fdaysnext==. & sosken_child>=order_child & fodtaar_child!=.
replace fdaysnext=days_4_f if efodtaar_4_f>=highw & fdaysnext==. & sosken_child>=order_child & fodtaar_child!=.
replace fdaysnext=0 if fodtaar_child<highw & fodtaar_child>loww & fdaysnext==. & sosken_child>=order_child & fodtaar_child!=.

gen ffracnext=1 if fdaysnext>0 & fdaysnext!=.
replace ffracnext=0 if fdaysnext==0

*lnr
gen lnr_cowork=.
recast double lnr_cowork
replace lnr_cowork=lnr

*format age father
format fodtaar %td
*only colleagues, not fathers next child
replace ffrac9206=. if ffrac9206!=. & ffrac93!=. & fodtaar_child>loww & fodtaar_child<highw
replace fdays9206=. if fdays9206!=. & fdays93!=. & fodtaar_child>loww & fodtaar_child<highw
sum ffrac9206

*eligibility for mother
*numbers for G - to create eligibility and employment
gen G1991=35033
gen G1992=36167
gen G1993=37033
gen G1994=37820
gen G1995=38847
gen G1996=40410
gen G1997=42000
gen G1998=44413
gen G1999=46423
gen G2000=48377
gen G2001=50603
gen G2002=53233
gen G2003=55964
gen G2004=58139
gen G2005=60059


*eligibility status based on mothers earnings

gen eligible=1 if mor92_inc91>G1991 & mor92_inc91!=. & year_child==1992
replace eligible=1 if mor93_inc92>G1992 & mor93_inc92!=. & year_child==1993
replace eligible=1 if mor94_inc93>G1993 & mor94_inc93!=. & year_child==1994
replace eligible=0 if eligible==. & mor92_inc91!=. & year_child==1992
replace eligible=0 if eligible==. & mor93_inc92!=. & year_child==1993
replace eligible=0 if eligible==. & mor94_inc93!=. & year_child==1994

*gen income year befor

gen fincyb=inc1991 if year_child==1992
replace fincyb=inc1992 if year_child==1993
replace fincyb=inc1993 if year_child==1994

gen mincyb=mor92_inc91 if year_child==1992
replace mincyb=mor93_inc92 if year_child==1993
replace mincyb=mor94_inc93 if year_child==1994

gen Gbefore=35033 if year_child==1992
replace Gbefore=36167 if year_child==1993
replace Gbefore=37033 if year_child==1994

***create firm  with only one birth in the window

*drop if sizeorg>150
gen fchild93=1 if ffrac93!=. & (fodtaar_child>loww & fodtaar_child<highw)
replace fchild93=0 if fchild93==.
sort org_b
by org_b: egen firm_havechild_f=sum(fchild93)

*summary stats
tab firm_havechild_f
tab firm_havechild_f if firm_havechild_f>0

preserve
sort org_b
collapse firm_havechild_f, by(org_b)
tab firm_havechild_f
tab firm_havechild_f if firm_havechild_f>0
restore


keep if firm_havechild_f==1 
count

sum ffrac9206

*****regressions

gen fodtaar_child2=fodtaar_child

gen reform=1 if  fodtaar_child>=12144 & fodtaar_child!=. & kjonn==1 & fodtaar_child<highw
replace reform=0 if fodtaar_child<12144 & kjonn==1 & fodtaar_child>loww

gen nreform=1 if fodtaar_child<12144 & kjonn==1 & fodtaar_child>loww
replace nreform=0 if  fodtaar_child>=12144 & fodtaar_child!=. & kjonn==1 & fodtaar_child<highw

replace lnr=. if reform==.
replace fodtaar_child=. if reform==.
replace year_child=. if reform==.
replace ffrac93=. if reform==.
replace fdays93=. if reform==.
replace coll=. if reform==.
replace educ_far=. if reform==.
replace coll_mor=. if reform==.
replace educ_mor=. if reform==.
replace mbefore=. if reform==.
replace county=. if reform==.
replace female=. if reform==.
replace eligible=. if reform==.
replace age_far=. if reform==.
replace age_mor=. if reform==.
replace order_child=. if reform==.
replace nkids06=. if reform==.
replace start_far=. if reform==.
replace stop_far=. if reform==.
replace ffracnext=. if reform==.
replace urban1993=. if reform==.
replace hazen_far=. if reform==.
replace top_far=. if reform==.
replace fincyb=. if reform==.
replace mincyb=. if reform==.
replace Gbefore=. if reform==.
replace abovemean=. if reform==.
replace tenure=. if reform==.
replace avtenfirm=. if reform==.
replace sektor_n=. if reform==.
replace nace_n=. if reform==.

sort org_b reform 
replace reform=reform[_n-1] if org_b==org_b[_n-1] & reform==.
replace nreform=nreform[_n-1] if org_b==org_b[_n-1] & nreform==.
replace fodtaar_child=fodtaar_child[_n-1] if org_b==org_b[_n-1] & fodtaar_child==.
replace year_child=year_child[_n-1] if  org_b==org_b[_n-1] & year_child==. 
replace coll=coll[_n-1] if org_b==org_b[_n-1] & coll==.
replace educ_far=educ_far[_n-1] if org_b==org_b[_n-1] & educ_far==.
replace coll_mor=coll_mor[_n-1] if org_b==org_b[_n-1] & coll_mor==.
replace educ_mor=educ_mor[_n-1] if org_b==org_b[_n-1] & educ_mor==.
replace mbefore=mbefore[_n-1] if org_b==org_b[_n-1] & mbefore==.
replace county=county[_n-1] if org_b==org_b[_n-1] & county==.
replace fdays93=fdays93[_n-1] if org_b==org_b[_n-1] & fdays93==.
replace ffrac93=ffrac93[_n-1] if org_b==org_b[_n-1] & ffrac93==.
replace female=female[_n-1] if org_b==org_b[_n-1] & female==.
replace eligible=eligible[_n-1] if  org_b==org_b[_n-1] & eligible==. 
replace age_far=age_far[_n-1] if  org_b==org_b[_n-1] & age_far==. 
replace age_mor=age_mor[_n-1] if org_b==org_b[_n-1] & age_mor==.
replace order_child=order_child[_n-1] if  org_b==org_b[_n-1] & order_child==. 
replace lnr=lnr[_n-1] if  org_b==org_b[_n-1] & lnr==. 
replace nkids06=nkids06[_n-1] if  org_b==org_b[_n-1] & nkids06==. 
replace stop_far=stop_far[_n-1] if org_b==org_b[_n-1] & stop_far==.
replace start_far=start_far[_n-1] if org_b==org_b[_n-1] & start_far==.
replace ffracnext=ffracnext[_n-1] if org_b==org_b[_n-1] & ffracnext==.
replace urban1993=urban1993[_n-1] if org_b==org_b[_n-1] & urban1993==.
replace hazen_far=hazen_far[_n-1] if org_b==org_b[_n-1] & hazen_far==.
replace top_far=top_far[_n-1] if org_b==org_b[_n-1] & top_far==.
replace fincyb=fincyb[_n-1] if org_b==org_b[_n-1] & fincyb==.
replace mincyb=mincyb[_n-1] if org_b==org_b[_n-1] & mincyb==.
replace Gbefore=Gbefore[_n-1] if org_b==org_b[_n-1] & Gbefore==.
replace abovemean=abovemean[_n-1] if org_b==org_b[_n-1] & abovemean==.
replace tenure=tenure[_n-1] if org_b==org_b[_n-1] & tenure==.
replace avtenfirm=avtenfirm[_n-1] if org_b==org_b[_n-1] & avtenfirm==.
replace sektor_n=sektor_n[_n-1] if org_b==org_b[_n-1] & sektor_n==.
replace nace_n=nace_n[_n-1] if org_b==org_b[_n-1] & nace_n==.


gen age_far2=age_far*age_far
gen age_mor2=age_mor*age_mor


*eduaction groups
gen hs_mor=1*(educ_mor<=10)+2*(educ_mor==11|educ_mor==12|educ_mor==13)+3*(educ_mor==14|educ_mor==15)+4*(educ_mor>=16 & educ_mor!=.)+5*(educ_mor==.)
gen hs_far=1*(educ_far<=10)+2*(educ_far==11|educ_far==12|educ_far==13)+3*(educ_far==14|educ_far==15)+4*(educ_far>=16 & educ_far!=.)+5*(educ_far==.)


*only colleagues not having children prior to 1994
drop if firstchild9206faar<(fodtaar_child) & ffrac9206!=.
*drop if firstchildfaar<fodtaar_child & ffrac9206!=.

sum fodtaar_child highw loww ffrac9206 if fodtaar_child>loww & fodtaar_child<highw
sum ffrac9206



*fertility of male colleagues
gen ffert9206=1 if ffrac9206!=.
replace ffert9206=0 if ffert9206==. & kjonn==1

*characteristics coworker
gen coll_cowork=1 if educ1991>13 & year_child==1992 & educ1991!=. & ffert9206!=.
replace coll_cowork=0 if coll_cowork==. & educ1991!=. & year_child==1992 & ffert9206!=.
replace coll_cowork=1 if educ1992>13 & year_child==1993 & educ1992!=. & ffert9206!=.
replace coll_cowork=0 if coll_cowork==. & educ1992!=. & year_child==1993 & ffert9206!=.
replace coll_cowork=1 if educ1993>13 & year_child==1994 & educ1993!=. & ffert9206!=.
replace coll_cowork=0 if coll_cowork==. & educ1993!=. & year_child==1994 & ffert9206!=.

gen female_cowork=1 if firstchild9206kjonn==2 & ffert9206!=.
replace female_cowork=0 if firstchild9206kjonn==1 & ffert9206!=.


*genereate month and week
gen month=month(fodtaar_child)
forvalues i=1(1)12{
replace month=`i'-12 if month==`i' & fodtaar_child<12054
replace month=12+`i' if month==`i' & fodtaar_child>12419
} 


gen week=week(fodtaar_child)
forvalues i=1(1)52{
replace week=`i'-52 if week==`i' & fodtaar_child<12054
replace week=52+`i' if week==`i' & fodtaar_child>12419
}

***generate linear slopes

*days
gen dslope=fodtaar_child-12144
gen dslope1=dslope*reform
gen dslope2=dslope*nreform
gen dslope12=dslope1*dslope1
gen dslope22=dslope2*dslope2
gen dslope13=dslope1*dslope1*dslope1
gen dslope23=dslope2*dslope2*dslope2

*week
gen wslope=week-12
gen wslope1=wslope*reform
gen wslope2=wslope*nreform
gen wslope12=wslope1*wslope1
gen wslope22=wslope2*wslope2

*month
gen mslope=month-3
gen mslope1=mslope*reform
gen mslope2=mslope*nreform
gen mslope12=mslope1*mslope1
gen mslope22=mslope2*mslope2

***triangular weights
gen triw=1-abs((fodtaar_child-12144)/182)
replace triw=1/182 if triw==0

**restrictions
keep if fodtaar_child<highw & fodtaar_child>loww
drop if sizeorg>500

*create dummies for missing observations
gen miss1=(age_mor==.)
gen miss2=(county==.)
gen miss3=(mbefore==.)

replace age_mor=-7 if age_mor==.
replace county=-8 if county==.
replace mbefore=-9 if mbefore==.  

****Table 1, panel A

*RD estimates for peer effects of fathers on their coworkers

*reduced form 
preserve
drop if fodtaar_child>mdy(3,25,1993) & fodtaar_child<mdy(4, 8,1993)
keep if eligible==1
xi: reg ffrac9206 reform dslope1 dslope2 sizeorg i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3   [pw=triw] if ffrac9206!=., robust cluster(org_b)

*IV and first stage
xi: ivreg2 ffrac9206 (ffrac93=reform) dslope1 dslope2 sizeorg i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3 [pw=triw] if ffrac9206!=., robust cluster(org_b) first

*sample means
sum ffrac93 ffrac9206 if reform==0 & ffrac9206!=.
restore


****Table 3: mechanisms in the workplace network

**father rank in firm - one of two highest earners
preserve
drop if fodtaar_child>mdy(3,25,1993) & fodtaar_child<mdy(4, 8,1993)
keep if eligible==1
xi: ivreg2 ffrac9206 (ffrac93=reform) dslope1 dslope2 sizeorg i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3 [pw=triw]  if top_far<3 & top_far!=. & top!=. & top>top_far  & ffrac9206!=., robust cluster(org_b) first
xi: ivreg2 ffrac9206 (ffrac93=reform) dslope1 dslope2 sizeorg i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3 [pw=triw]  if !(top_far<3 & top_far!=. & top!=. & top>top_far)   & ffrac9206!=., robust cluster(org_b) first
xi: reg ffrac9206 reform dslope1 dslope2 sizeorg i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3 [pw=triw]  if top_far<3 & top_far!=. & top!=. & top>top_far  & ffrac9206!=., robust cluster(org_b) 
xi: reg ffrac9206 reform dslope1 dslope2 sizeorg i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3 [pw=triw]  if !(top_far<3 & top_far!=. & top!=. & top>top_far)  & ffrac9206!=., robust cluster(org_b) 

sum ffrac93 ffrac9206 if top_far<3 & top_far!=. & top!=. & top>top_far & ffrac9206!=. & reform==0
sum ffrac93 ffrac9206 if !(top_far<3 & top_far!=. & top!=. & top>top_far) & ffrac9206!=. & reform==0

restore

**unionization by nace codes

preserve
gen nace2=int(nace_99/1000)
gen unionrate=86 if nace2==75
replace unionrate=80 if nace2==85|nace2==80
replace unionrate=79 if nace2==73
replace unionrate=77 if nace2>=62 & nace2<=67
replace unionrate=67 if nace2>=70 & nace2<=72
replace unionrate=67 if nace2==85
replace unionrate=55 if nace2>=11 & nace2<=33
replace unionrate=53 if nace2==50|nace2==60|nace2==61
replace unionrate=42 if nace2>=34 & nace2<=45
replace unionrate=33 if nace2>=90 & nace2<=95
replace unionrate=33 if nace2==74
replace unionrate=25 if nace2==51|nace2==52
replace unionrate=22 if nace2<=9
replace unionrate=15 if nace2==55
replace unionrate=21 if unionrate==. & nace2!=.

drop if fodtaar_child>mdy(3,25,1993) & fodtaar_child<mdy(4, 8,1993)
keep if eligible==1
keep if ffrac9206!=.
drop if unionrate==.
codebook unionrate
egen munion=pctile(unionrate)

gen aboveu=1 if unionrate>33 & unionrate!=.
replace aboveu=0 if aboveu==. & unionrate!=.

xi: ivreg2 ffrac9206 (ffrac93=reform) dslope1 dslope2 sizeorg i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3   [pw=triw]  if aboveu==0 & ffrac9206!=., robust cluster(org_b) first
xi: ivreg2 ffrac9206 (ffrac93=reform) dslope1 dslope2 sizeorg i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3   [pw=triw]  if aboveu==1 & ffrac9206!=., robust cluster(org_b) first
xi: reg ffrac9206 reform dslope1 dslope2 sizeorg i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3  [pw=triw]  if aboveu==0 & ffrac9206!=., robust cluster(org_b) 
xi: reg ffrac9206 reform dslope1 dslope2 sizeorg i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3  [pw=triw]  if aboveu==1 & ffrac9206!=., robust cluster(org_b) 

sum ffrac93 ffrac9206 if aboveu==0 & ffrac9206!=. & reform==0
sum ffrac93 ffrac9206 if aboveu==1 & ffrac9206!=. & reform==0

restore

**public private by sektor

preserve
drop if fodtaar_child>mdy(3,25,1993) & fodtaar_child<mdy(4, 8,1993)
keep if eligible==1
drop sektor_n
rename sektor_99 sektor_n
gen public=1 if sektor_n==110|sektor_n==510|sektor_n==550|sektor_n==610|sektor_n==630|sektor_n==660|sektor_n==680
replace public=0 if public==. & sektor_n!=.

xi: ivreg2 ffrac9206 (ffrac93=reform) dslope1 dslope2 sizeorg i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3   [pw=triw]  if public==1 & ffrac9206!=., robust cluster(org_b) first
xi: ivreg2 ffrac9206 (ffrac93=reform) dslope1 dslope2 sizeorg i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3   [pw=triw]  if public==0 & ffrac9206!=., robust cluster(org_b) first
xi: reg ffrac9206 reform dslope1 dslope2 sizeorg i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3  [pw=triw]  if public==1 & ffrac9206!=., robust cluster(org_b) 
xi: reg ffrac9206 reform dslope1 dslope2 sizeorg i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3  [pw=triw]  if public==0 & ffrac9206!=., robust cluster(org_b) 

sum ffrac93 ffrac9206 if public==1 & ffrac9206!=. & reform==0
sum ffrac93 ffrac9206 if public==0 & ffrac9206!=. & reform==0
restore

**low vs high tenure firm
preserve
drop if fodtaar_child>mdy(3,25,1993) & fodtaar_child<mdy(4, 8,1993)
keep if eligible==1

drop if ffrac9206==.
codebook avtenfirm
egen pc=pctile(avtenfirm)
gen ab=1 if avtenfirm>3652
replace ab=0 if avtenfirm<=3652
tab ab

xi: ivreg2 ffrac9206 (ffrac93=reform) dslope1 dslope2 sizeorg i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3   [pw=triw]  if  ab==0 & ffrac9206!=., robust cluster(org_b) first
xi: ivreg2 ffrac9206 (ffrac93=reform) dslope1 dslope2 sizeorg i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3   [pw=triw]  if ab==1 & ffrac9206!=., robust cluster(org_b) first
xi: reg ffrac9206 reform dslope1 dslope2 sizeorg i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3  [pw=triw]  if ab==0 & ffrac9206!=., robust cluster(org_b) 
xi: reg ffrac9206 reform dslope1 dslope2 sizeorg i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3  [pw=triw]  if ab==1 & ffrac9206!=., robust cluster(org_b) 

sum ffrac93 ffrac9206 if ab==0 & ffrac9206!=. & reform==0
sum ffrac93 ffrac9206 if ab==1 & ffrac9206!=. & reform==0
restore

*combined regression contrast

preserve
drop if fodtaar_child>mdy(3,25,1993) & fodtaar_child<mdy(4, 8,1993)
keep if eligible==1

****TEST for all variables=0

*public
drop sektor_n
rename sektor_99 sektor_n
gen public=1 if sektor_n==110|sektor_n==510|sektor_n==550|sektor_n==610|sektor_n==630|sektor_n==660|sektor_n==680
replace public=0 if public==. & sektor_n!=.
gen refpublic=reform*public
gen nrefpublic=reform*(1-public)
gen dslope1p=dslope1*public
gen dslope1np=dslope1*(1-public)
gen dslope2p=dslope2*public
gen dslope2np=dslope2*(1-public)

*tenure

gen refabovemean=reform*abovemean
gen nrefabovemean=reform*(1-abovemean)
gen dslope1m=dslope1*abovemean
gen dslope1nm=dslope1*(1-abovemean)
gen dslope2m=dslope2*abovemean
gen dslope2nm=dslope2*(1-abovemean)

*union
gen nace2=int(nace_99/1000)
gen unionrate=86 if nace2==75
replace unionrate=80 if nace2==85|nace2==80
replace unionrate=79 if nace2==73
replace unionrate=77 if nace2>=62 & nace2<=67
replace unionrate=67 if nace2>=70 & nace2<=72
replace unionrate=67 if nace2==85
replace unionrate=55 if nace2>=11 & nace2<=33
replace unionrate=53 if nace2==50|nace2==60|nace2==61
replace unionrate=42 if nace2>=34 & nace2<=45
replace unionrate=33 if nace2>=90 & nace2<=95
replace unionrate=33 if nace2==74
replace unionrate=25 if nace2==51|nace2==52
replace unionrate=22 if nace2<=9
replace unionrate=15 if nace2==55
replace unionrate=21 if unionrate==. & nace2!=.

gen aboveu=1 if unionrate>33 & unionrate!=.
replace aboveu=0 if aboveu==. &  unionrate!=.

gen refaboveu=reform*aboveu
gen nrefaboveu=reform*(1-aboveu)
gen dslope1a=dslope1*aboveu
gen dslope1na=dslope1*(1-aboveu)
gen dslope2a=dslope2*aboveu
gen dslope2na=dslope2*(1-aboveu)

*topinc
gen topinc=1 if top_far<3 & top_far!=. & top!=. & top>top_far
replace topinc=0 if !(top_far<3 & top_far!=. & top!=. & top>top_far)

gen reftopinc=reform*topinc
gen nreftopinc=reform*(1-topinc)
gen dslope1t=dslope1*topinc
gen dslope1nt=dslope1*(1-topinc)
gen dslope2t=dslope2*topinc
gen dslope2nt=dslope2*(1-topinc)


*interactions xs
gen sizeorgpublic=sizeorg*public
gen sizeorgabovemean=sizeorg*abovemean
gen sizeorgtopinc=sizeorg*topinc
gen sizeorgaboveu=sizeorg*aboveu
gen hs_farpublic=hs_far*public
gen hs_farabovemean=hs_far*abovemean
gen hs_fartopinc=hs_far*topinc
gen hs_faraboveu=hs_far*aboveu
gen hs_morpublic=hs_mor*public
gen hs_morabovemean=hs_mor*abovemean
gen hs_mortopinc=hs_mor*topinc
gen hs_moraboveu=hs_mor*aboveu
gen countypublic=county*public
gen countyabovemean=county*abovemean
gen countytopinc=county*topinc
gen countyaboveu=county*aboveu
gen mbeforepublic=mbefore*public
gen mbeforeabovemean=mbefore*abovemean
gen mbeforetopinc=mbefore*topinc
gen mbeforeaboveu=mbefore*aboveu
gen age_farpublic=age_far*public
gen age_farabovemean=age_far*abovemean
gen age_fartopinc=age_far*topinc
gen age_faraboveu=age_far*aboveu
gen age_far2public=age_far2*public
gen age_far2abovemean=age_far2*abovemean
gen age_far2topinc=age_far2*topinc
gen age_far2aboveu=age_far2*aboveu
gen age_morpublic=age_mor*public
gen age_morabovemean=age_mor*abovemean
gen age_mortopinc=age_mor*topinc
gen age_moraboveu=age_mor*aboveu
gen age_mor2public=age_mor2*public
gen age_mor2abovemean=age_mor2*abovemean
gen age_mor2topinc=age_mor2*topinc
gen age_mor2aboveu=age_mor2*aboveu
gen femalepublic=female*public
gen femaleabovemean=female*abovemean
gen femaletopinc=female*topinc
gen femaleaboveu=female*aboveu
gen miss1public=miss1*public
gen miss1abovemean=miss1*abovemean
gen miss1topinc=miss1*topinc
gen miss1aboveu=miss1*aboveu
gen miss2public=miss2*public
gen miss2abovemean=miss2*abovemean
gen miss2topinc=miss2*topinc
gen miss2aboveu=miss2*aboveu
gen miss3public=miss3*public
gen miss3abovemean=miss3*abovemean
gen miss3topinc=miss3*topinc
gen miss3aboveu=miss3*aboveu


**all A-D in same regression

xi: reg ffrac9206 reftopinc nreftopinc refaboveu nrefaboveu refpublic nrefpublic refabovemean nrefabovemean  dslope1 dslope2  sizeorgtopinc i.hs_fartopinc i.hs_mortopinc i.countytopinc mbeforetopinc age_fartopinc age_far2topinc age_mortopinc age_mor2topinc femaletopinc miss1topinc miss2topinc miss3topinc sizeorgaboveu i.hs_faraboveu i.hs_moraboveu i.countyaboveu mbeforeaboveu age_faraboveu age_far2aboveu age_moraboveu age_mor2aboveu femaleaboveu miss1aboveu miss2aboveu miss3aboveu sizeorgpublic i.hs_farpublic i.hs_morpublic i.countypublic mbeforepublic age_farpublic age_far2public age_morpublic age_mor2public femalepublic miss1public miss2public miss3public sizeorgabovemean i.hs_farabovemean i.hs_morabovemean i.countyabovemean mbeforeabovemean age_farabovemean age_far2abovemean age_morabovemean age_mor2abovemean femaleabovemean miss1abovemean miss2abovemean miss3abovemean [pw=triw] , robust cluster(org_b) 
test (refpublic=nrefpublic) (refabovemean=nrefabovemean) (reftopinc=nreftopinc) (refaboveu=nrefaboveu)
test (refpublic=nrefpublic) (refabovemean=nrefabovemean)  (refaboveu=nrefaboveu)
test (refpublic=nrefpublic)
test (refabovemean=nrefabovemean)
test (reftopinc=nreftopinc)
test (refaboveu=nrefaboveu)

*different slopes
xi: reg ffrac9206 reftopinc nreftopinc refaboveu nrefaboveu refpublic nrefpublic refabovemean nrefabovemean  dslope1p dslope1np dslope1a dslope1na dslope1m dslope1nm dslope1t dslope1nt dslope2p dslope2np dslope2a dslope2na dslope2m dslope2nm dslope2t dslope2nt  sizeorgtopinc i.hs_fartopinc i.hs_mortopinc i.countytopinc mbeforetopinc age_fartopinc age_far2topinc age_mortopinc age_mor2topinc femaletopinc miss1topinc miss2topinc miss3topinc sizeorgaboveu i.hs_faraboveu i.hs_moraboveu i.countyaboveu mbeforeaboveu age_faraboveu age_far2aboveu age_moraboveu age_mor2aboveu femaleaboveu miss1aboveu miss2aboveu miss3aboveu sizeorgpublic i.hs_farpublic i.hs_morpublic i.countypublic mbeforepublic age_farpublic age_far2public age_morpublic age_mor2public femalepublic miss1public miss2public miss3public sizeorgabovemean i.hs_farabovemean i.hs_morabovemean i.countyabovemean mbeforeabovemean age_farabovemean age_far2abovemean age_morabovemean age_mor2abovemean femaleabovemean miss1abovemean miss2abovemean miss3abovemean [pw=triw] , robust cluster(org_b) 
test (refpublic=nrefpublic) (refabovemean=nrefabovemean) (reftopinc=nreftopinc) (refaboveu=nrefaboveu)
test (refpublic=nrefpublic) (refabovemean=nrefabovemean)  (refaboveu=nrefaboveu)
test (refpublic=nrefpublic)
test (refabovemean=nrefabovemean)
test (reftopinc=nreftopinc)
test (refaboveu=nrefaboveu)

restore


****Table A1: descriptives for fathers in the workplace

preserve
drop if fodtaar_child>mdy(3,25,1993) & fodtaar_child<mdy(4, 8,1993)
keep if eligible==1
drop if ffrac9206==.
sort org_b
drop if org_b==org_b[_n-1]		
replace age_mor=. if age_mor==-7
replace mbefore=. if mbefore==-9  
sum coll age_far mbefore female nkids06
restore


****Table A3: RD estimates for direct effects of the April 1, 1993 reform on parental characteristics
preserve
drop if fodtaar_child>mdy(3,25,1993) & fodtaar_child<mdy(4, 8,1993)
keep if eligible==1
replace age_mor=. if age_mor==-7
replace mbefore=. if mbefore==-9  

reg coll reform dslope1 dslope2 if ffrac9206!=., robust cluster(org_b)
reg coll_mor reform dslope1 dslope2 if ffrac9206!=., robust cluster(org_b)
reg age_far reform dslope1 dslope2 if ffrac9206!=., robust cluster(org_b)
reg age_mor reform dslope1 dslope2 if ffrac9206!=., robust cluster(org_b)
reg mbefore reform dslope1 dslope2 if ffrac9206!=., robust cluster(org_b)
reg female reform dslope1 dslope2  if ffrac9206!=.,robust cluster(org_b)
reg sizeorg reform dslope1 dslope2 if ffrac9206!=., robust cluster(org_b)
sum coll coll_mor age_far age_mor mbefore female sizeorg if reform==0 & ffrac9206!=.
restore

preserve
drop if fodtaar_child>mdy(3,25,1993) & fodtaar_child<mdy(4, 8,1993)
reg eligible reform dslope1 dslope2 if ffrac9206!=., robust cluster(org_b)
sum eligible if reform==0 & ffrac9206!=.
restore

****Table A4: panel A: specification checks for coworker peer effects

preserve
drop if fodtaar_child>mdy(3,25,1993) & fodtaar_child<mdy(4, 8,1993)
keep if eligible==1
*no controls
xi: ivreg2 ffrac9206 (ffrac93=reform) dslope1 dslope2 if ffrac9206!=., robust cluster(org_b) first
xi: reg ffrac9206 reform dslope1 dslope2 if ffrac9206!=., robust cluster(org_b) 

*no triangular weights
xi: ivreg2 ffrac9206 (ffrac93=reform) dslope1 dslope2 sizeorg  i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3  if ffrac9206!=., robust cluster(org_b) first
xi: reg ffrac9206 reform dslope1 dslope2 sizeorg  i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3  if ffrac9206!=., robust cluster(org_b) 

*quadratic trend
xi: ivreg2 ffrac9206 (ffrac93=reform) dslope1 dslope2 dslope12 dslope22 sizeorg  i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3 [pw=triw]  if ffrac9206!=., robust cluster(org_b) first
xi: reg ffrac9206 reform dslope1 dslope2 dslope12 dslope22 sizeorg  i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3 [pw=triw]  if ffrac9206!=., robust cluster(org_b) 

*cubic trend
xi: ivreg2 ffrac9206 (ffrac93=reform) dslope1 dslope2 dslope12 dslope22 dslope13 dslope23 sizeorg i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3  [pw=triw]  if ffrac9206!=., robust cluster(org_b) first
xi: reg ffrac9206 reform dslope1 dslope2 dslope12 dslope22 dslope13 dslope23 sizeorg i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3  [pw=triw]  if ffrac9206!=., robust cluster(org_b) 
restore

*no donut
preserve 
keep if eligible==1
xi: ivreg2 ffrac9206 (ffrac93=reform) dslope1 dslope2 sizeorg i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3 [pw=triw]  if ffrac9206!=., robust cluster(org_b) first
xi: reg ffrac9206 reform dslope1 dslope2 sizeorg i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3 [pw=triw]  if ffrac9206!=., robust cluster(org_b) 
restore

*two week donut
preserve
drop if fodtaar_child>mdy(3,17,1993) & fodtaar_child<mdy(4, 15,1993)
keep if eligible==1
xi: ivreg2 ffrac9206 (ffrac93=reform) dslope1 dslope2 sizeorg i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3 [pw=triw]  if ffrac9206!=., robust cluster(org_b) first
xi: reg ffrac9206 reform dslope1 dslope2 sizeorg i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3 [pw=triw]  if ffrac9206!=., robust cluster(org_b) 
restore

*include ineligible
preserve
drop if fodtaar_child>mdy(3,25,1993) & fodtaar_child<mdy(4, 8,1993)
xi: ivreg2 ffrac9206 (ffrac93=reform) dslope1 dslope2  sizeorg i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3  [pw=triw]  if ffrac9206!=., robust cluster(org_b) first
xi: reg ffrac9206 reform dslope1 dslope2 sizeorg i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3  [pw=triw]  if ffrac9206!=., robust cluster(org_b) 
restore

*cluster on days
preserve
drop if fodtaar_child>mdy(3,25,1993) & fodtaar_child<mdy(4, 8,1993)
keep if eligible==1
gen days=fodtaar_child*org_b
xi: ivreg2 ffrac9206 (ffrac93=reform) dslope1 dslope2 sizeorg i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3  [pw=triw]  if ffrac9206!=., robust cluster(days) first
xi: reg ffrac9206 reform dslope1 dslope2 sizeorg i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3  [pw=triw]  if ffrac9206!=., robust cluster(days) 
restore

****Table A5: panel A: window robustness checks for coworker peer effects

* three month window
preserve
drop if fodtaar_child<mdy(4,1,1993)-91
drop if fodtaar_child>mdy(4,1,1993)+91
drop if fodtaar_child>mdy(3,25,1993) & fodtaar_child<mdy(4, 8,1993)
sum fodtaar_child
gen triw91=1-abs((fodtaar_child-12144)/91)
replace triw91=1/91 if triw91==0
keep if eligible==1
xi: ivreg2 ffrac9206 (ffrac93=reform) dslope1 dslope2  sizeorg i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3  [pw=triw91]  if ffrac9206!=., robust cluster(org_b) first
xi: reg ffrac9206 reform dslope1 dslope2 sizeorg i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3  [pw=triw91]  if ffrac9206!=., robust cluster(org_b) 
restore

*4,5 month window
preserve
drop if fodtaar_child<mdy(4,1,1993)-135
drop if fodtaar_child>mdy(4,1,1993)+135
drop if fodtaar_child>mdy(3,25,1993) & fodtaar_child<mdy(4, 8,1993)
gen triw135=1-abs((fodtaar_child-12144)/135)
replace triw135=1/135 if triw135==0
keep if eligible==1
xi: ivreg2 ffrac9206 (ffrac93=reform) dslope1 dslope2  sizeorg i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3  [pw=triw135]  if ffrac9206!=., robust cluster(org_b) first
xi: reg ffrac9206 reform dslope1 dslope2 sizeorg i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3  [pw=triw135]  if ffrac9206!=., robust cluster(org_b) 
restore

****Table A6: panel A: local linear regression estimates for coworker peer effects

*programs local linear regressions

*first stage and reduced form
program katrine60, rclass
version 10
syntax [varlist(min=2 max=2)] [, *]
tokenize `varlist'
tempvar z f0 f1
qui g `z'=0 in 1
local opt "at(`z') nogr rec deg(1) bw(60) `options'"
lpoly `1'  `2' if `2'>=0, gen (`f0') `opt'
lpoly `1'  `2' if `2'<0, gen (`f1') `opt'
return scalar d=`=`f0'[1]-`f1'[1]'
di as txt "Estimate: " as res `f0'[1]-`f1'[1] 
eret clear
end

*local wald
program wald60, rclass
version 10
syntax [varlist(min=3 max=3)] [, *]
tokenize `varlist'
tempvar z f0 f1 g0 g1
qui g `z'=0 in 1
local opt "at(`z') nogr rec deg(1) bw(60) `options'"
lpoly `1'  `3' if `3'>=0, gen (`f0') `opt'
lpoly `1'  `3' if `3'<0, gen (`f1') `opt'
lpoly `2'  `3' if `3'>=0, gen (`g0') `opt'
lpoly `2'  `3' if `3'<0, gen (`g1') `opt'
return scalar d=(`=`f0'[1]-`f1'[1]')/(`=`g0'[1]-`g1'[1]')
di as txt "Estimate: " as res (`f0'[1]-`f1'[1])/(`g0'[1]-`g1'[1]) 
eret clear
end


*LLR - 60 days
preserve
drop if ffrac9206==.
drop if fodtaar_child>mdy(3,25,1993) & fodtaar_child<mdy(4, 8,1993)
keep if eligible==1
replace fodtaar_child=fodtaar_child-mdy(4,1,1993)
count if fodtaar_child>=-60 & fodtaar_child<=60
bootstrap r(d), reps(2000) cluster(org_b): katrine60 ffrac93 fodtaar_child
bootstrap r(d), reps(2000) cluster(org_b): katrine60 ffrac9206 fodtaar_child
restore

*Wald - 60 days
preserve
drop if ffrac9206==.
drop if fodtaar_child>mdy(3,25,1993) & fodtaar_child<mdy(4, 8,1993)
keep if eligible==1
replace fodtaar_child=fodtaar_child-mdy(4,1,1993)
bootstrap r(d), reps(2000) cluster(org_b): wald60 ffrac9206 ffrac93 fodtaar_child
restore


*first stage and reduced form
program katrine90, rclass
version 10
syntax [varlist(min=2 max=2)] [, *]
tokenize `varlist'
tempvar z f0 f1
qui g `z'=0 in 1
local opt "at(`z') nogr rec deg(1) bw(90) `options'"
lpoly `1'  `2' if `2'>=0, gen (`f0') `opt'
lpoly `1'  `2' if `2'<0, gen (`f1') `opt'
return scalar d=`=`f0'[1]-`f1'[1]'
di as txt "Estimate: " as res `f0'[1]-`f1'[1] 
eret clear
end

*local wald
program wald90, rclass
version 10
syntax [varlist(min=3 max=3)] [, *]
tokenize `varlist'
tempvar z f0 f1 g0 g1
qui g `z'=0 in 1
local opt "at(`z') nogr rec deg(1) bw(90) `options'"
lpoly `1'  `3' if `3'>=0, gen (`f0') `opt'
lpoly `1'  `3' if `3'<0, gen (`f1') `opt'
lpoly `2'  `3' if `3'>=0, gen (`g0') `opt'
lpoly `2'  `3' if `3'<0, gen (`g1') `opt'
return scalar d=(`=`f0'[1]-`f1'[1]')/(`=`g0'[1]-`g1'[1]')
di as txt "Estimate: " as res (`f0'[1]-`f1'[1])/(`g0'[1]-`g1'[1]) 
eret clear
end


*LLR - 90 days
preserve
drop if ffrac9206==.
drop if fodtaar_child>mdy(3,25,1993) & fodtaar_child<mdy(4, 8,1993)
keep if eligible==1
replace fodtaar_child=fodtaar_child-mdy(4,1,1993)
count if fodtaar_child>=-90 & fodtaar_child<=90
bootstrap r(d), reps(2000) cluster(org_b): katrine90 ffrac93 fodtaar_child
bootstrap r(d), reps(2000) cluster(org_b): katrine90 ffrac9206 fodtaar_child
restore

*Wald - 90 days
preserve
drop if ffrac9206==.
drop if fodtaar_child>mdy(3,25,1993) & fodtaar_child<mdy(4, 8,1993)
keep if eligible==1
replace fodtaar_child=fodtaar_child-mdy(4,1,1993)
bootstrap r(d), reps(2000) cluster(org_b): wald90 ffrac9206 ffrac93 fodtaar_child
restore


*first stage and reduced form
program katrine120, rclass
version 10
syntax [varlist(min=2 max=2)] [, *]
tokenize `varlist'
tempvar z f0 f1
qui g `z'=0 in 1
local opt "at(`z') nogr rec deg(1) bw(120) `options'"
lpoly `1'  `2' if `2'>=0, gen (`f0') `opt'
lpoly `1'  `2' if `2'<0, gen (`f1') `opt'
return scalar d=`=`f0'[1]-`f1'[1]'
di as txt "Estimate: " as res `f0'[1]-`f1'[1] 
eret clear
end

*local wald
program wald120, rclass
version 10
syntax [varlist(min=3 max=3)] [, *]
tokenize `varlist'
tempvar z f0 f1 g0 g1
qui g `z'=0 in 1
local opt "at(`z') nogr rec deg(1) bw(120) `options'"
lpoly `1'  `3' if `3'>=0, gen (`f0') `opt'
lpoly `1'  `3' if `3'<0, gen (`f1') `opt'
lpoly `2'  `3' if `3'>=0, gen (`g0') `opt'
lpoly `2'  `3' if `3'<0, gen (`g1') `opt'
return scalar d=(`=`f0'[1]-`f1'[1]')/(`=`g0'[1]-`g1'[1]')
di as txt "Estimate: " as res (`f0'[1]-`f1'[1])/(`g0'[1]-`g1'[1]) 
eret clear
end


*LLR - 120 days
preserve
drop if ffrac9206==.
drop if fodtaar_child>mdy(3,25,1993) & fodtaar_child<mdy(4, 8,1993)
keep if eligible==1
replace fodtaar_child=fodtaar_child-mdy(4,1,1993)
count if fodtaar_child>=-120 & fodtaar_child<=120
bootstrap r(d), reps(2000) cluster(org_b): katrine120 ffrac93 fodtaar_child
bootstrap r(d), reps(2000) cluster(org_b): katrine120 ffrac9206 fodtaar_child
restore

*Wald - 120 days
preserve
drop if ffrac9206==.
drop if fodtaar_child>mdy(3,25,1993) & fodtaar_child<mdy(4, 8,1993)
keep if eligible==1
replace fodtaar_child=fodtaar_child-mdy(4,1,1993)
bootstrap r(d), reps(2000) cluster(org_b): wald120 ffrac9206 ffrac93 fodtaar_child
restore


*first stage and reduced form
program katrine159, rclass
version 10
syntax [varlist(min=2 max=2)] [, *]
tokenize `varlist'
tempvar z f0 f1
qui g `z'=0 in 1
local opt "at(`z') nogr rec deg(1) bw(159) `options'"
lpoly `1'  `2' if `2'>=0, gen (`f0') `opt'
lpoly `1'  `2' if `2'<0, gen (`f1') `opt'
return scalar d=`=`f0'[1]-`f1'[1]'
di as txt "Estimate: " as res `f0'[1]-`f1'[1] 
eret clear
end

*local wald
program wald159, rclass
version 10
syntax [varlist(min=3 max=3)] [, *]
tokenize `varlist'
tempvar z f0 f1 g0 g1
qui g `z'=0 in 1
local opt "at(`z') nogr rec deg(1) bw(159) `options'"
lpoly `1'  `3' if `3'>=0, gen (`f0') `opt'
lpoly `1'  `3' if `3'<0, gen (`f1') `opt'
lpoly `2'  `3' if `3'>=0, gen (`g0') `opt'
lpoly `2'  `3' if `3'<0, gen (`g1') `opt'
return scalar d=(`=`f0'[1]-`f1'[1]')/(`=`g0'[1]-`g1'[1]')
di as txt "Estimate: " as res (`f0'[1]-`f1'[1])/(`g0'[1]-`g1'[1]) 
eret clear
end


*LLR - 159 days
preserve
drop if ffrac9206==.
drop if fodtaar_child>mdy(3,25,1993) & fodtaar_child<mdy(4, 8,1993)
keep if eligible==1
replace fodtaar_child=fodtaar_child-mdy(4,1,1993)
count if fodtaar_child>=-159 & fodtaar_child<=159
bootstrap r(d), reps(2000) cluster(org_b): katrine159 ffrac93 fodtaar_child
bootstrap r(d), reps(2000) cluster(org_b): katrine159 ffrac9206 fodtaar_child
restore

*Wald - 159 days
preserve
drop if ffrac9206==.
drop if fodtaar_child>mdy(3,25,1993) & fodtaar_child<mdy(4, 8,1993)
keep if eligible==1
replace fodtaar_child=fodtaar_child-mdy(4,1,1993)
bootstrap r(d), reps(2000) cluster(org_b): wald159 ffrac9206 ffrac93 fodtaar_child
restore


****Table A8: additional workplace estimates

*coworkers with start dates within one year of each other

preserve
drop if fodtaar_child>mdy(3,25,1993) & fodtaar_child<mdy(4, 8,1993)
keep if eligible==1

gen timefirm_far=fodtaar_child-start_far
gen timefirm_cowork=fodtaar_child-eansatt

gen starttogether=1 if timefirm_far<=timefirm_cowork+180 & timefirm_far>=timefirm_cowork-180 & timefirm_far!=. & timefirm_cowork!=.
replace starttogether=0 if starttogether==. & timefirm_far!=. & timefirm_cowork!=.

xi: ivreg2 ffrac9206 (ffrac93=reform) dslope1 dslope2 sizeorg i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3 [pw=triw]  if starttogether==1 & ffrac9206!=., robust cluster(org_b) first
xi: ivreg2 ffrac9206 (ffrac93=reform) dslope1 dslope2 sizeorg i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3 [pw=triw]  if starttogether==0 & ffrac9206!=., robust cluster(org_b) first
xi: reg ffrac9206 reform dslope1 dslope2 sizeorg i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3 [pw=triw]  if starttogether==1 & ffrac9206!=., robust cluster(org_b) 
xi: reg ffrac9206 reform dslope1 dslope2 sizeorg i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3 [pw=triw]  if starttogether==0 & ffrac9206!=., robust cluster(org_b) 

sum ffrac93 ffrac9206 if starttogether==1 & ffrac9206!=. & reform==0
sum ffrac93 ffrac9206 if starttogether==0 & ffrac9206!=. & reform==0

*firm size, below and above 30
xi: ivreg2 ffrac9206 (ffrac93=reform) dslope1 dslope2  sizeorg i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3 [pw=triw]  if sizeorg<30 & ffrac9206!=., robust cluster(org_b) first
xi: ivreg2 ffrac9206 (ffrac93=reform) dslope1 dslope2  sizeorg i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3 [pw=triw]  if sizeorg>=30 & ffrac9206!=., robust cluster(org_b) first
xi: reg ffrac9206 reform dslope1 dslope2  sizeorg i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3 [pw=triw]  if sizeorg<30 & ffrac9206!=., robust cluster(org_b) 
xi: reg ffrac9206 reform dslope1 dslope2  sizeorg i.hs_far i.hs_mor i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3 [pw=triw]  if sizeorg>=30 & ffrac9206!=., robust cluster(org_b) 

sum ffrac93 ffrac9206 if sizeorg<30 & ffrac9206!=. & reform==0
sum ffrac93 ffrac9206 if sizeorg>=30 & ffrac9206!=. & reform==0

restore




***figures

**Figure 2: fraction of peer fathers taking leave
preserve
set scheme s2mono
drop if ffrac9206==.
drop if fodtaar_child>mdy(3,25,1993) & fodtaar_child<mdy(4, 8,1993)
keep if eligible==1
count
drop fodtaar
rename fodtaar_child fodtaar

replace fodtaar=fodtaar-12144

egen a=mean(ffrac93)
egen b=sd(ffrac93)
gen max=a+(0.5*b)
gen min=a-(0.5*b)
sum max min

gen week2=.
forvalues i=-182(7)-7{
replace week2=`i' if fodtaar>=`i' & fodtaar<`i'+7
}
forvalues i=7(7)182{
replace week2=`i' if fodtaar>=`i' & fodtaar<`i'+7
}
tab week2
sort week2
by week2: egen mfodtaar=mean(fodtaar) 
sort mfodtaar
by mfodtaar: egen mffrac93=mean(ffrac93)

sort week2

gen g2=fodtaar if fodtaar<0
gen g3=fodtaar if fodtaar>=0

sort fodtaar
twoway (scatter mffrac93 week2, msize(vsmall) msymbol(circle) mcolor(black)) (lfitci ffrac93 g2 [pw=triw], lcolor(gs9) lpattern(dash) ciplot(rline)) (lfitci ffrac93 g3 [pw=triw], lcolor(gs9) lpattern(dash) ciplot(rline)) (lfit ffrac93 g2 [pw=triw], lpattern(solid)) (lfit ffrac93 g3 [pw=triw], lpattern(solid)) , ylabel(0(.06).6, labsize(medium)) xlabel(-182(26)182, labsize(medium)) xline(0, lpattern(shortdash)) xtitle("Child's date of birth" "(Peer father)", size(medium)) ytitle("Fraction taking leave" "(Peer father)", size(medium)) title(A. Workplace Network, size(large)) legend(off)
restore

**Figure 3: coworkers leave takeup
preserve
set scheme s2mono
drop if ffrac9206==.
drop if fodtaar_child>mdy(3,25,1993) & fodtaar_child<mdy(4, 8,1993)
keep if eligible==1
count
drop fodtaar
rename fodtaar_child fodtaar

replace fodtaar=fodtaar-12144

gen week2=.
forvalues i=-182(7)-7{
replace week2=`i' if fodtaar>=`i' & fodtaar<`i'+7
}
forvalues i=7(7)182{
replace week2=`i' if fodtaar>=`i' & fodtaar<`i'+7
}

sort week2
by week2: gen obs=_N

sum obs

by week2: egen mfodtaar=mean(fodtaar) 
sort mfodtaar
by mfodtaar: egen mffrac9206=mean(ffrac9206)

sort week2

gen g2=fodtaar if fodtaar<0
gen g3=fodtaar if fodtaar>=0

sort fodtaar
twoway (scatter mffrac9206 week2, msize(vsmall) msymbol(circle) mcolor(black)) (lfitci ffrac9206 g2 [pw=triw], lcolor(gs9) lpattern(dash) ciplot(rline)) (lfitci ffrac9206 g3 [pw=triw], lcolor(gs9) lpattern(dash) ciplot(rline)) (lfit ffrac9206 g2 [pw=triw], lpattern(solid)) (lfit ffrac9206 g3 [pw=triw], lpattern(solid)) , ylabel(.53(.05).83, labsize(medium)) xlabel(-182(26)182, labsize(medium)) xline(0, lpattern(shortdash)) xtitle("Child's date of birth" "(Peer father)", size(medium) ) ytitle("Fraction taking leave" "(Coworker)", size(medium)) title(A. Workplace Network, size(large)) legend(off)
restore



**Figure A1: coworkers fertility
preserve
set scheme s2mono
drop if ffert9206==.
drop if fodtaar_child>mdy(3,25,1993) & fodtaar_child<mdy(4, 8,1993)
keep if eligible==1
count
drop fodtaar
rename fodtaar_child fodtaar

egen a=mean(ffert9206)
egen b=sd(ffert9206)
gen max=a+(0.3*b)
gen min=a-(0.3*b)
sum max min

replace fodtaar=fodtaar-12144

gen week2=.
forvalues i=-182(7)-7{
replace week2=`i' if fodtaar>=`i' & fodtaar<`i'+7
}
forvalues i=7(7)182{
replace week2=`i' if fodtaar>=`i' & fodtaar<`i'+7
}

sort week2
by week2: egen mfodtaar=mean(fodtaar) 
sort mfodtaar
by mfodtaar: egen mffert9206=mean(ffert9206)

sort week2

gen g2=fodtaar if fodtaar<0
gen g3=fodtaar if fodtaar>=0

lpoly ffert9206 fodtaar if fodtaar<0, bw(90) nogr deg(1) rec se(u1) gen(x1 y1)
lpoly ffert9206 fodtaar if fodtaar>=0, bw(90) nogr deg(1) rec se(u2) gen(x2 y2)
gen x1l=y1+1.96*u1
gen x1u=y1-1.96*u1
gen x2l=y2+1.96*u2
gen x2u=y2-1.96*u2

sort week2
twoway (scatter mffert9206 week2, msize(vsmall) msymbol(circle) mcolor(black)) (line y1 x1, lpattern(solid)) (line y2 x2, lpattern(solid)) (line x1l x1, lpattern(dash) mcolor(gs9)) (line x1u x1, lpattern(dash) mcolor(gs9)) (line x2l x2, lpattern(dash) mcolor(gs9)) (line x2u x2, lpattern(dash) mcolor(gs9)),  ylabel(0.12(.05).37) xlabel(-182(26)182) xline(0, lpattern(shortdash)) xtitle("Child's date of birth" "(Peer father)") ytitle("Fraction having a child" "(Coworker)") legend(off)
restore


**Figure A2: coworkers leave takeup (larger bins)
preserve
set scheme s2mono
drop if ffrac9206==.
drop if fodtaar_child>mdy(3,25,1993) & fodtaar_child<mdy(4, 8,1993)
keep if eligible==1
count
drop fodtaar
rename fodtaar_child fodtaar

replace fodtaar=fodtaar-12144

egen a=mean(ffrac9206)
egen b=sd(ffrac9206)
gen max=a+(0.3*b)
gen min=a-(0.3*b)
sum max min

gen week2=.
forvalues i=-182(14)-7{
replace week2=`i' if fodtaar>=`i' & fodtaar<`i'+14
}
forvalues i=7(14)182{
replace week2=`i' if fodtaar>=`i' & fodtaar<`i'+14
}

sort week2
by week2: egen mfodtaar=mean(fodtaar) 
sort mfodtaar
by mfodtaar: egen mffrac9206=mean(ffrac9206)

sort week2

gen g2=fodtaar if fodtaar<0
gen g3=fodtaar if fodtaar>=0

sort fodtaar
twoway (scatter mffrac9206 week2, msize(vsmall) msymbol(circle) mcolor(black)) (lfitci ffrac9206 g2 [pw=triw], lcolor(gs9) lpattern(dash) ciplot(rline)) (lfitci ffrac9206 g3 [pw=triw], lcolor(gs9) lpattern(dash) ciplot(rline)) (lfit ffrac9206 g2 [pw=triw], lpattern(solid)) (lfit ffrac9206 g3 [pw=triw], lpattern(solid)) , ylabel(.53(.05).83, labsize(medium)) xlabel(-182(26)182, labsize(medium)) xline(0, lpattern(shortdash)) xtitle("Child's date of birth" "(Peer father)", size(medium) ) ytitle("Fraction taking leave" "(Coworker)", size(medium)) legend(off)
restore

**Figure A3: coworkers leave takeup (local linear regression)
preserve
set scheme s2mono
drop if ffrac9206==.
drop if fodtaar_child>mdy(3,25,1993) & fodtaar_child<mdy(4, 8,1993)
keep if eligible==1
count
drop fodtaar
rename fodtaar_child fodtaar

replace fodtaar=fodtaar-12144

gen week2=.
forvalues i=-182(7)-7{
replace week2=`i' if fodtaar>=`i' & fodtaar<`i'+7
}
forvalues i=7(7)182{
replace week2=`i' if fodtaar>=`i' & fodtaar<`i'+7
}

sort week2
by week2: egen mfodtaar=mean(fodtaar) 
sort mfodtaar
by mfodtaar: egen mffrac9206=mean(ffrac9206)

sort week2

gen g2=fodtaar if fodtaar<0
gen g3=fodtaar if fodtaar>=0

lpoly ffrac9206 fodtaar if fodtaar<0, bw(90) nogr deg(1) rec se(u1) gen(x1 y1)
lpoly ffrac9206 fodtaar if fodtaar>=0, bw(90) nogr deg(1) rec se(u2) gen(x2 y2)
gen x1l=y1+1.96*u1
gen x1u=y1-1.96*u1
gen x2l=y2+1.96*u2
gen x2u=y2-1.96*u2

sort week2
twoway (scatter mffrac9206 week2, msize(vsmall) msymbol(circle) mcolor(black)) (line y1 x1, lpattern(solid)) (line y2 x2, lpattern(solid)) (line x1l x1, lpattern(dash) mcolor(gs14)) (line x1u x1, lpattern(dash) mcolor(gs14)) (line x2l x2, lpattern(dash) mcolor(gs14)) (line x2u x2, lpattern(dash) mcolor(gs14)), ylabel(.53(.05).8) xlabel(-182(26)182) xline(0, lpattern(shortdash)) xtitle("Child's date of birth" "(Peer father)") ytitle("Fraction taking leave" "(Coworker)") legend(off)
restore

**Figure A5 spacing between coworkers and the peer fathers births
preserve
set scheme s2mono
drop if firstchild9206faar==.
drop if ffrac9206==.
count
drop fodtaar
gen fodtaar2=fodtaar_child
rename fodtaar_child fodtaar

gen diffage=firstchild9206faar-fodtaar2
replace fodtaar=fodtaar-12144

egen a=mean(diffage)
egen b=sd(diffage)
gen max=a+(0.5*b)
gen min=a-(0.5*b)
sum max min

gen week2=.
forvalues i=-182(7)-7{
replace week2=`i' if fodtaar>=`i' & fodtaar<`i'+7
}
forvalues i=7(7)182{
replace week2=`i' if fodtaar>=`i' & fodtaar<`i'+7
}

sort week2
by week2: egen mfodtaar=mean(fodtaar) 
sort mfodtaar
by mfodtaar: egen mdiffage=mean(diffage)

sort week2

gen g2=fodtaar if fodtaar<0
gen g3=fodtaar if fodtaar>=0

lpoly diffage fodtaar if fodtaar<0, bw(90) nogr deg(1) rec se(u1) gen(x1 y1)
lpoly diffage fodtaar if fodtaar>=0, bw(90) nogr deg(1) rec se(u2) gen(x2 y2)
gen x1l=y1+1.96*u1
gen x1u=y1-1.96*u1
gen x2l=y2+1.96*u2
gen x2u=y2-1.96*u2

sort week2
twoway (scatter mdiffage week2, msize(vsmall) msymbol(circle) mcolor(black)) (line y1 x1, lpattern(solid)) (line y2 x2, lpattern(solid)) (line x1l x1, lpattern(dash) mcolor(gs9)) (line x1u x1, lpattern(dash) mcolor(gs9)) (line x2l x2, lpattern(dash) mcolor(gs9)) (line x2u x2, lpattern(dash) mcolor(gs9)), ylabel(1226(200)2526) xlabel(-182(26)182) xline(0, lpattern(shortdash)) xtitle("Child's date of birth" "(Peer father)") ytitle("Spacing between births" "(coworker)") legend(off)
restore

log close
