****Analysis firm

clear
use "/ssb/ovibos/a1/swp/kav/wk24/data/firms_leave9295.dta"
log using /ssb/ovibos/a1/swp/kav/wk24/aer_snowball.smcl, replace

***create firm  analysis

gen loww=mdy(10,1,1992)
gen highw=mdy(9,30,1993)
format loww highw %td

*one variable for birth year of child of father. note: only allow one child in the window. First priority: 1993
gen fodtaar_child=child93faar if kjonn==1
replace fodtaar_child=child92faar if fodtaar_child==. & kjonn==1
replace fodtaar_child=child94faar if fodtaar_child==. & kjonn==1
format fodtaar_child %td

gen year_child=year(fodtaar_child)

*days and fraction of leave for father
gen fdays93=days_1_f if efodtaar_1_f<highw & efodtaar_1_f>loww & fodtaar_child!=.
replace fdays93=days_2_f if efodtaar_2_f<highw & efodtaar_2_f>loww & fdays93==. & fodtaar_child!=.
replace fdays93=days_3_f if efodtaar_3_f<highw & efodtaar_3_f>loww & fdays93==. & fodtaar_child!=.
replace fdays93=days_4_f if efodtaar_4_f<highw & efodtaar_4_f>loww & fdays93==. 
replace fdays93=0 if ((fodtaar_child>loww & fodtaar_child!=.) &(fodtaar_child<highw & fodtaar_child!=.)) & fdays93==. & kjonn==1

gen ffrac93=1 if fdays93>0 & fdays93!=.
replace ffrac93=0 if fdays93==0

tab ffrac93 if fodtaar_child<12144 
tab ffrac93 if fodtaar_child>=12144


gen high06=.
gen low94=mdy(1,1,1992)

***gen days and frac for first child born after 1992-2006 - all
gen fdays9206=days_1_f if efodtaar_1_f>low94 & efodtaar_1_f!=.
replace fdays9206=days_2_f if efodtaar_2_f>low94 & fdays9206==. & efodtaar_2_f!=.
replace fdays9206=days_3_f if efodtaar_3_f>low94 & fdays9206==. & efodtaar_3_f!=.
replace fdays9206=days_4_f if efodtaar_4_f>low94 & fdays9206==. & efodtaar_4_f!=.
replace fdays9206=0 if (firstchild9206faar!=.) & fdays9206==. & kjonn==1

gen ffrac9206=1 if fdays9206>0 & fdays9206!=.
replace ffrac9206=0 if fdays9206==0

*gen education, marital status, county year before birth for father
***note: have to make all variables for fathers here, based on birth date of child
*later, can use same variables for colleagues
gen educ_far=educ1991 if year_child==1992
replace educ_far=educ1992 if year_child==1993
replace educ_far=educ1993 if year_child==1994

gen educ_mor=mor92_educ1991 if year_child==1992
replace educ_mor=mor93_educ1992 if year_child==1993
replace educ_mor=mor94_educ1993 if year_child==1994

gen coll=1 if educ_far>13 & educ_far!=.
replace coll=0 if coll==. & educ_far!=.

gen coll_mor=1 if educ_mor>13 & educ_mor!=.
replace coll_mor=0 if coll_mor==. & educ_mor!=.

gen mbefore=(mstat1991==2) if mstat1991!=. & year_child==1992
replace mbefore=(mstat1992==2) if mstat1992!=. & year_child==1993
replace mbefore=(mstat1993==2) if mstat1993!=. & year_child==1994

gen county=int(mun1991/100) if year_child==1992
replace county=int(mun1992/100) if year_child==1993
replace county=int(mun1993/100) if year_child==1994

gen year=year(fodtaar)
gen age_far=year_child-year

gen year_mor=year(mor92_fodtaar) if year_child==1992
replace year_mor=year(mor93_fodtaar) if year_child==1993
replace year_mor=year(mor94_fodtaar) if year_chil==1994
gen age_mor=year_child-year_mor

*female child
gen female=1 if child92kjonn==2 & year_child==1992
replace female=0 if child92kjonn==1 & year_child==1992
replace female=1 if child93kjonn==2 & year_child==1993
replace female=0 if child93kjonn==1 & year_child==1993
replace female=1 if child94kjonn==2 & year_child==1994
replace female=0 if child94kjonn==1 & year_child==1994

*father (and hence firm) urban/rural location in 1993


gen sen1993=0 if (mun1993==121|mun1993==428|mun1993==430|mun1993==432|mun1993==434|mun1993==436|mun1993==437|mun1993==438|mun1993==439|mun1993==441|mun1993==511|mun1993==512|mun1993==513|mun1993==514|mun1993==515|mun1993==516|mun1993==517|mun1993==519|mun1993==540|mun1993==541|mun1993==542|mun1993==543|mun1993==544|mun1993==545|mun1993==615|mun1993==616|mun1993==617|mun1993==618|mun1993==619|mun1993==620|mun1993==621|mun1993==633|mun1993==821|mun1993==826|mun1993==828|mun1993==829|mun1993==830|mun1993==831|mun1993==833|mun1993==834|mun1993==929|mun1993==938|mun1993==940|mun1993==941|mun1993==1003|mun1993==1026|mun1993==1034|mun1993==1046|mun1993==1133|mun1993==1134|mun1993==1135|mun1993==1144|mun1993==1151|mun1993==1154|mun1993==1211|mun1993==1214|mun1993==1219|mun1993==1222|mun1993==1223|mun1993==1224|mun1993==1227|mun1993==1231|mun1993==1232|mun1993==1233|mun1993==1234|mun1993==1238|mun1993==1244|mun1993==1252|mun1993==1264|mun1993==1265|mun1993==1266|mun1993==1411|mun1993==1412|mun1993==1413|mun1993==1416|mun1993==1417|mun1993==1418|mun1993==1419|mun1993==1420|mun1993==1421|mun1993==1422|mun1993==1424|mun1993==1426|mun1993==1428|mun1993==1429|mun1993==1438|mun1993==1439|mun1993==1441|mun1993==1443|mun1993==1444|mun1993==1445|mun1993==1449|mun1993==1511|mun1993==1514|mun1993==1515|mun1993==1524|mun1993==1525|mun1993==1526|mun1993==1539|mun1993==1545|mun1993==1546|mun1993==1560|mun1993==1563|mun1993==1566|mun1993==1567|mun1993==1569|mun1993==1571|mun1993==1573|mun1993==1612|mun1993==1627|mun1993==1630|mun1993==1632|mun1993==1633|mun1993==1634|mun1993==1635|mun1993==1640|mun1993==1644|mun1993==1665|mun1993==1711|mun1993==1717|mun1993==1718|mun1993==1723|mun1993==1736|mun1993==1738|mun1993==1739|mun1993==1740|mun1993==1742|mun1993==1743|mun1993==1748|mun1993==1749|mun1993==1750|mun1993==1751|mun1993==1755|mun1993==1811|mun1993==1815|mun1993==1816|mun1993==1818|mun1993==1825|mun1993==1826|mun1993==1827|mun1993==1828|mun1993==1834|mun1993==1835|mun1993==1836|mun1993==1837|mun1993==1838|mun1993==1839|mun1993==1842|mun1993==1848|mun1993==1849|mun1993==1850|mun1993==1851|mun1993==1853|mun1993==1854|mun1993==1856|mun1993==1857|mun1993==1859|mun1993==1860|mun1993==1866|mun1993==1867|mun1993==1868|mun1993==1870|mun1993==1871|mun1993==1874|mun1993==1915|mun1993==1917|mun1993==1919|mun1993==1920|mun1993==1922|mun1993==1923|mun1993==1924|mun1993==1925|mun1993==1926|mun1993==1927|mun1993==1928|mun1993==1929|mun1993==1931|mun1993==1933|mun1993==1938|mun1993==1939|mun1993==1940|mun1993==1941|mun1993==1942|mun1993==1943|mun1993==2002|mun1993==2011|mun1993==2014|mun1993==2015|mun1993==2017|mun1993==2018|mun1993==2019|mun1993==2020|mun1993==2021|mun1993==2022|mun1993==2023|mun1993==2024|mun1993==2025|mun1993==2027|mun1993==2028|mun1993==2030)

replace sen1993=1 if (mun1993==401|mun1993==420|mun1993==423|mun1993==425|mun1993==426|mun1993==429|mun1993==827|mun1993==911|mun1993==1004|mun1993==1032|mun1993==1037|mun1993==1101|mun1993==1111|mun1993==1112|mun1993==1221|mun1993==1228|mun1993==1235|mun1993==1401|mun1993==1430|mun1993==1431|mun1993==1432|mun1993==1433|mun1993==1519|mun1993==1520|mun1993==1613|mun1993==1636|mun1993==1702|mun1993==1703|mun1993==1721|mun1993==1724|mun1993==1725|mun1993==1729|mun1993==1744|mun1993==1812|mun1993==1813|mun1993==1820|mun1993==1822|mun1993==1824|mun1993==1840|mun1993==1841|mun1993==1845|mun1993==1865|mun1993==2003|mun1993==2004|mun1993==2012)
 
replace sen1993=2 if (mun1993==101|mun1993==105|mun1993==106|mun1993==111|mun1993==118|mun1993==119|mun1993==128|mun1993==403|mun1993==412|mun1993==415|mun1993==417|mun1993==418|mun1993==427|mun1993==501|mun1993==502|mun1993==520|mun1993==521|mun1993==522|mun1993==528|mun1993==529|mun1993==536|mun1993==538|mun1993==622|mun1993==631|mun1993==632|mun1993==701|mun1993==704|mun1993==706|mun1993==709|mun1993==716|mun1993==718|mun1993==719|mun1993==720|mun1993==722|mun1993==723|mun1993==728|mun1993==805|mun1993==806|mun1993==807|mun1993==811|mun1993==814|mun1993==815|mun1993==817|mun1993==819|mun1993==822|mun1993==901|mun1993==906|mun1993==912|mun1993==914|mun1993==919|mun1993==1106|mun1993==1146|mun1993==1149|mun1993==1216|mun1993==1502|mun1993==1503|mun1993==1504|mun1993==1516|mun1993==1517|mun1993==1523|mun1993==1528|mun1993==1529|mun1993==1531|mun1993==1532|mun1993==1534|mun1993==1535|mun1993==1543|mun1993==1547|mun1993==1548|mun1993==1551|mun1993==1554|mun1993==1556|mun1993==1557|mun1993==1572|mun1993==1804|mun1993==1805|mun1993==1832|mun1993==1833|mun1993==1852|mun1993==1901|mun1993==1911|mun1993==1913)

replace sen1993=3 if (mun1993==104|mun1993==122|mun1993==123|mun1993==124|mun1993==125|mun1993==127|mun1993==135|mun1993==136|mun1993==137|mun1993==138|mun1993==211|mun1993==213|mun1993==214|mun1993==215|mun1993==216|mun1993==217|mun1993==219|mun1993==220|mun1993==221|mun1993==226|mun1993==227|mun1993==228|mun1993==229|mun1993==230|mun1993==231|mun1993==233|mun1993==234|mun1993==235|mun1993==236|mun1993==237|mun1993==238|mun1993==239|mun1993==301|mun1993==419|mun1993==532|mun1993==533|mun1993==534|mun1993==602|mun1993==604|mun1993==605|mun1993==612|mun1993==623|mun1993==624|mun1993==625|mun1993==626|mun1993==627|mun1993==628|mun1993==702|mun1993==711|mun1993==713|mun1993==714|mun1993==904|mun1993==926|mun1993==928|mun1993==935|mun1993==937|mun1993==1001|mun1993==1002|mun1993==1014|mun1993==1017|mun1993==1018|mun1993==1021|mun1993==1027|mun1993==1029|mun1993==1102|mun1993==1103|mun1993==1114|mun1993==1119|mun1993==1120|mun1993==1121|mun1993==1122|mun1993==1124|mun1993==1127|mun1993==1129|mun1993==1130|mun1993==1141|mun1993==1142|mun1993==1145|mun1993==1201|mun1993==1241|mun1993==1242|mun1993==1243|mun1993==1245|mun1993==1246|mun1993==1247|mun1993==1251|mun1993==1253|mun1993==1256|mun1993==1259|mun1993==1260|mun1993==1263|mun1993==1601|mun1993==1624|mun1993==1638|mun1993==1648|mun1993==1653|mun1993==1657|mun1993==1662|mun1993==1663|mun1993==1664|mun1993==1714|mun1993==1719|mun1993==1902|mun1993==1936)

gen urban1993=1 if sen1993==2|sen1993==3
replace urban1993=0 if sen1993==0|sen1993==1

*start date job
gen start_far=eansatt
*stop date job
gen stop_far=eslutta

*rank in the firm

gsort org_b -inc1993
by org_b: egen top=rank(-inc1993)
by org_b: egen n=count(inc1993)

gen hazen=(top-0.5)/n

gen hazen_far=hazen
gen top_far=top
*order child
gen order_child=child92order if year_child==1992
replace order_child=child93order if year_child==1993
replace order_child=child94order if year_child==1994

*sosken child
gen sosken_child=child92sosken if year_child==1992
replace sosken_child=child93sosken if year_child==1993
replace sosken_child=child94sosken if year_child==1994

*fathers days nexy child

gen fdaysnext=days_2_f if efodtaar_2_f>=highw & sosken_child>=order_child & fodtaar_child!=.
replace fdaysnext=days_3_f if efodtaar_3_f>=highw & fdaysnext==. & sosken_child>=order_child & fodtaar_child!=.
replace fdaysnext=days_4_f if efodtaar_4_f>=highw & fdaysnext==. & sosken_child>=order_child & fodtaar_child!=.
replace fdaysnext=0 if fodtaar_child<highw & fodtaar_child>loww & fdaysnext==. & sosken_child>=order_child & fodtaar_child!=.

gen ffracnext=1 if fdaysnext>0 & fdaysnext!=.
replace ffracnext=0 if fdaysnext==0

*lnr
gen lnr_cowork=.
recast double lnr_cowork
replace lnr_cowork=lnr

*format age father
format fodtaar %td
*only colleagues, not fathers next child
replace ffrac9206=. if ffrac9206!=. & ffrac93!=. & fodtaar_child>loww & fodtaar_child<highw
replace fdays9206=. if fdays9206!=. & fdays93!=. & fodtaar_child>loww & fodtaar_child<highw
sum ffrac9206

*eligibility for mother
*numbers for G - to create eligibility and employment
gen G1991=35033
gen G1992=36167
gen G1993=37033
gen G1994=37820
gen G1995=38847
gen G1996=40410
gen G1997=42000
gen G1998=44413
gen G1999=46423
gen G2000=48377
gen G2001=50603
gen G2002=53233
gen G2003=55964
gen G2004=58139
gen G2005=60059


*eligibility status based on mothers earnings

gen eligible=1 if mor92_inc91>G1991 & mor92_inc91!=. & year_child==1992
replace eligible=1 if mor93_inc92>G1992 & mor93_inc92!=. & year_child==1993
replace eligible=1 if mor94_inc93>G1993 & mor94_inc93!=. & year_child==1994
replace eligible=0 if eligible==. & mor92_inc91!=. & year_child==1992
replace eligible=0 if eligible==. & mor93_inc92!=. & year_child==1993
replace eligible=0 if eligible==. & mor94_inc93!=. & year_child==1994

***create firm  with only one birth in the window

*drop if sizeorg>150
gen fchild93=1 if ffrac93!=. & (fodtaar_child>loww & fodtaar_child<highw)
replace fchild93=0 if fchild93==.
sort org_b
by org_b: egen firm_havechild_f=sum(fchild93)

*summary stats
tab firm_havechild_f
tab firm_havechild_f if firm_havechild_f>0

preserve
sort org_b
collapse firm_havechild_f, by(org_b)
tab firm_havechild_f
tab firm_havechild_f if firm_havechild_f>0
restore


keep if firm_havechild_f==1
count

sum ffrac9206

*****regressions

gen fodtaar_child2=fodtaar_child

gen reform=1 if  fodtaar_child>=12144 & fodtaar_child!=. & kjonn==1 & fodtaar_child<highw
replace reform=0 if fodtaar_child<12144 & kjonn==1 & fodtaar_child>loww

gen nreform=1 if fodtaar_child<12144 & kjonn==1 & fodtaar_child>loww
replace nreform=0 if  fodtaar_child>=12144 & fodtaar_child!=. & kjonn==1 & fodtaar_child<highw

replace lnr=. if reform==.
replace fodtaar_child=. if reform==.
replace year_child=. if reform==.
replace ffrac93=. if reform==.
replace fdays93=. if reform==.
replace coll=. if reform==.
replace educ_far=. if reform==.
replace coll_mor=. if reform==.
replace educ_mor=. if reform==.
replace mbefore=. if reform==.
replace county=. if reform==.
replace female=. if reform==.
replace eligible=. if reform==.
replace age_far=. if reform==.
replace age_mor=. if reform==.
replace order_child=. if reform==.
replace nkids06=. if reform==.
replace start_far=. if reform==.
replace stop_far=. if reform==.
replace ffracnext=. if reform==.
replace urban1993=. if reform==.
replace hazen_far=. if reform==.
replace top_far=. if reform==.

sort org_b reform 
replace reform=reform[_n-1] if org_b==org_b[_n-1] & reform==.
replace nreform=nreform[_n-1] if org_b==org_b[_n-1] & nreform==.
replace fodtaar_child=fodtaar_child[_n-1] if org_b==org_b[_n-1] & fodtaar_child==.
replace year_child=year_child[_n-1] if  org_b==org_b[_n-1] & year_child==. 
replace coll=coll[_n-1] if org_b==org_b[_n-1] & coll==.
replace educ_far=educ_far[_n-1] if org_b==org_b[_n-1] & educ_far==.
replace coll_mor=coll_mor[_n-1] if org_b==org_b[_n-1] & coll_mor==.
replace educ_mor=educ_mor[_n-1] if org_b==org_b[_n-1] & educ_mor==.
replace mbefore=mbefore[_n-1] if org_b==org_b[_n-1] & mbefore==.
replace county=county[_n-1] if org_b==org_b[_n-1] & county==.
replace fdays93=fdays93[_n-1] if org_b==org_b[_n-1] & fdays93==.
replace ffrac93=ffrac93[_n-1] if org_b==org_b[_n-1] & ffrac93==.
replace female=female[_n-1] if org_b==org_b[_n-1] & female==.
replace eligible=eligible[_n-1] if  org_b==org_b[_n-1] & eligible==. 
replace age_far=age_far[_n-1] if  org_b==org_b[_n-1] & age_far==. 
replace age_mor=age_mor[_n-1] if org_b==org_b[_n-1] & age_mor==.
replace order_child=order_child[_n-1] if  org_b==org_b[_n-1] & order_child==. 
replace lnr=lnr[_n-1] if  org_b==org_b[_n-1] & lnr==. 
replace nkids06=nkids06[_n-1] if  org_b==org_b[_n-1] & nkids06==. 
replace stop_far=stop_far[_n-1] if org_b==org_b[_n-1] & stop_far==.
replace start_far=start_far[_n-1] if org_b==org_b[_n-1] & start_far==.
replace ffracnext=ffracnext[_n-1] if org_b==org_b[_n-1] & ffracnext==.
replace urban1993=urban1993[_n-1] if org_b==org_b[_n-1] & urban1993==.
replace hazen_far=hazen_far[_n-1] if org_b==org_b[_n-1] & hazen_far==.
replace top_far=top_far[_n-1] if org_b==org_b[_n-1] & top_far==.

gen age_far2=age_far*age_far
gen age_mor2=age_mor*age_mor

*eduaction groups
gen hs_mor=1*(educ_mor<=10)+2*(educ_mor==11|educ_mor==12|educ_mor==13)+3*(educ_mor==14|educ_mor==15)+4*(educ_mor>=16 & educ_mor!=.)+5*(educ_mor==.)
gen hs_far=1*(educ_far<=10)+2*(educ_far==11|educ_far==12|educ_far==13)+3*(educ_far==14|educ_far==15)+4*(educ_far>=16 & educ_far!=.)+5*(educ_far==.)


*only colleagues not having children prior to 1994
drop if firstchild9206faar<(fodtaar_child) & ffrac9206!=.
*drop if firstchildfaar<fodtaar_child & ffrac9206!=.

sum fodtaar_child highw loww ffrac9206 if fodtaar_child>loww & fodtaar_child<highw
sum ffrac9206



*fertility of male colleagues
gen ffert9206=1 if ffrac9206!=.
replace ffert9206=0 if ffert9206==. & kjonn==1

*characteristics coworker
gen coll_cowork=1 if educ1991>13 & year_child==1992 & educ1991!=. & ffert9206!=.
replace coll_cowork=0 if coll_cowork==. & educ1991!=. & year_child==1992 & ffert9206!=.
replace coll_cowork=1 if educ1992>13 & year_child==1993 & educ1992!=. & ffert9206!=.
replace coll_cowork=0 if coll_cowork==. & educ1992!=. & year_child==1993 & ffert9206!=.
replace coll_cowork=1 if educ1993>13 & year_child==1994 & educ1993!=. & ffert9206!=.
replace coll_cowork=0 if coll_cowork==. & educ1993!=. & year_child==1994 & ffert9206!=.

gen female_cowork=1 if firstchild9206kjonn==2 & ffert9206!=.
replace female_cowork=0 if firstchild9206kjonn==1 & ffert9206!=.




*Earnings coworker 3-x years after having a child
forvalues i=1996(1)2008{
replace inc`i'=0 if inc`i'==.
}

gen inc_cowork=(inc1996+(inc1997/1.023)+(inc1998/(1.023^2))+(inc1999/(1.023^3))+(inc2000/(1.023^4))+(inc2001/(1.023^5))+(inc2002/(1.023^6))+(inc2003/(1.023^7))+(inc2004/(1.023^8))+(inc2005/(1.023^9))+(inc2006/(1.023^10))+(inc2007/(1.023^11))+(inc2008/(1.023^12)))/13 if year(firstchild9206faar)==1993 & kjonn==1
replace inc_cowork=((inc1997/1.023)+(inc1998/(1.023^2))+(inc1999/(1.023^3))+(inc2000/(1.023^4))+(inc2001/(1.023^5))+(inc2002/(1.023^6))+(inc2003/(1.023^7))+(inc2004/(1.023^8))+(inc2005/(1.023^9))+(inc2006/(1.023^10))+(inc2007/(1.023^11))+(inc2008/(1.023^12)))/12 if year(firstchild9206faar)==1994 & kjonn==1
replace inc_cowork=((inc1998/(1.023^2))+(inc1999/(1.023^3))+(inc2000/(1.023^4))+(inc2001/(1.023^5))+(inc2002/(1.023^6))+(inc2003/(1.023^7))+(inc2004/(1.023^8))+(inc2005/(1.023^9))+(inc2006/(1.023^10))+(inc2007/(1.023^11))+(inc2008/(1.023^12)))/11 if year(firstchild9206faar)==1995 & kjonn==1
replace inc_cowork=((inc1999/(1.023^3))+(inc2000/(1.023^4))+(inc2001/(1.023^5))+(inc2002/(1.023^6))+(inc2003/(1.023^7))+(inc2004/(1.023^8))+(inc2005/(1.023^9))+(inc2006/(1.023^10))+(inc2007/(1.023^11))+(inc2008/(1.023^12)))/10 if year(firstchild9206faar)==1996 & kjonn==1
replace inc_cowork=((inc2000/(1.023^4))+(inc2001/(1.023^5))+(inc2002/(1.023^6))+(inc2003/(1.023^7))+(inc2004/(1.023^8))+(inc2005/(1.023^9))+(inc2006/(1.023^10))+(inc2007/(1.023^11))+(inc2008/(1.023^12)))/9 if year(firstchild9206faar)==1997 & kjonn==1
replace inc_cowork=((inc2001/(1.023^5))+(inc2002/(1.023^6))+(inc2003/(1.023^7))+(inc2004/(1.023^8))+(inc2005/(1.023^9))+(inc2006/(1.023^10))+(inc2007/(1.023^11))+(inc2008/(1.023^12)))/8 if year(firstchild9206faar)==1998 & kjonn==1
replace inc_cowork=((inc2002/(1.023^6))+(inc2003/(1.023^7))+(inc2004/(1.023^8))+(inc2005/(1.023^9))+(inc2006/(1.023^10))+(inc2007/(1.023^11))+(inc2008/(1.023^12)))/7 if year(firstchild9206faar)==1999 & kjonn==1
replace inc_cowork=((inc2003/(1.023^7))+(inc2004/(1.023^8))+(inc2005/(1.023^9))+(inc2006/(1.023^10))+(inc2007/(1.023^11))+(inc2008/(1.023^12)))/6 if year(firstchild9206faar)==2000 & kjonn==1
replace inc_cowork=((inc2004/(1.023^8))+(inc2005/(1.023^9))+(inc2006/(1.023^10))+(inc2007/(1.023^11))+(inc2008/(1.023^12)))/5 if year(firstchild9206faar)==2001 & kjonn==1
replace inc_cowork=((inc2005/(1.023^9))+(inc2006/(1.023^10))+(inc2007/(1.023^11))+(inc2008/(1.023^12)))/4 if year(firstchild9206faar)==2002 & kjonn==1
replace inc_cowork=((inc2006/(1.023^10))+(inc2007/(1.023^11))+(inc2008/(1.023^12)))/3 if year(firstchild9206faar)==2003 & kjonn==1
replace inc_cowork=((inc2007/(1.023^11))+(inc2008/(1.023^12)))/2 if year(firstchild9206faar)==2004 & kjonn==1
replace inc_cowork=((inc2008/(1.023^12)))/1 if (year(firstchild9206faar)==2005|year(firstchild9206faar)==2006) & kjonn==1

*Earnings 3 years after
gen inc3_cowork=inc1996 if year(firstchild9206faar)==1993 & kjonn==1
replace inc3_cowork=inc1997 if year(firstchild9206faar)==1994 & kjonn==1
replace inc3_cowork=inc1998 if year(firstchild9206faar)==1995 & kjonn==1
replace inc3_cowork=inc1999 if year(firstchild9206faar)==1996 & kjonn==1
replace inc3_cowork=inc2000 if year(firstchild9206faar)==1997 & kjonn==1
replace inc3_cowork=inc2001 if year(firstchild9206faar)==1998 & kjonn==1
replace inc3_cowork=inc2002 if year(firstchild9206faar)==1999 & kjonn==1
replace inc3_cowork=inc2003 if year(firstchild9206faar)==2000 & kjonn==1
replace inc3_cowork=inc2004 if year(firstchild9206faar)==2001 & kjonn==1
replace inc3_cowork=inc2005 if year(firstchild9206faar)==2002 & kjonn==1
replace inc3_cowork=inc2006 if year(firstchild9206faar)==2003 & kjonn==1
replace inc3_cowork=inc2007 if year(firstchild9206faar)==2004 & kjonn==1
replace inc3_cowork=inc2008 if year(firstchild9206faar)==2005 & kjonn==1
replace inc3_cowork=inc2008 if year(firstchild9206faar)==2006 & kjonn==1
count
*genereate month and week
gen month=month(fodtaar_child)
forvalues i=1(1)12{
replace month=`i'-12 if month==`i' & fodtaar_child<12054
replace month=12+`i' if month==`i' & fodtaar_child>12419
} 


gen week=week(fodtaar_child)
forvalues i=1(1)52{
replace week=`i'-52 if week==`i' & fodtaar_child<12054
replace week=52+`i' if week==`i' & fodtaar_child>12419
}

***generate linear slopes

*days
gen dslope=fodtaar_child-12144
gen dslope1=dslope*reform
gen dslope2=dslope*nreform
gen dslope12=dslope1*dslope1
gen dslope22=dslope2*dslope2
gen dslope13=dslope1*dslope1*dslope1
gen dslope23=dslope2*dslope2*dslope2

*week
gen wslope=week-12
gen wslope1=wslope*reform
gen wslope2=wslope*nreform
gen wslope12=wslope1*wslope1
gen wslope22=wslope2*wslope2

*month
gen mslope=month-3
gen mslope1=mslope*reform
gen mslope2=mslope*nreform
gen mslope12=mslope1*mslope1
gen mslope22=mslope2*mslope2

***triangular weights
gen triw=1-abs((fodtaar_child-12144)/182)
replace triw=1/182 if triw==0

**restrictions
keep if eligible==1
keep if fodtaar_child<highw & fodtaar_child>loww
drop if fodtaar_child>mdy(3,25,1993) & fodtaar_child<mdy(4, 8,1993)
drop if sizeorg>500

gen miss1=(coll==.)
gen miss2=(county==.)
gen miss3=(mbefore==.)

replace coll=-7 if coll==.
replace county=-8 if county==.
replace mbefore=-9 if mbefore==.  

/******************************
social multiplier
*********************************/

*peer father- coworker child date of birth
gen diffage=firstchild9206faar-fodtaar_child
gen coyear=year(firstchild9206faar)
gen comonth=month(firstchild9206faar)
gen co_mo_year=100*coyear+comonth
drop if coyear>2002

keep if ffrac9206!=.
sort org_b firstchild9206faar
order org_b  firstchild9206faar

gen o=1 if org_b==org_b[_n+1]
forvalues i=1(1)50{
replace o=`i'+1 if org_b==org_b[_n-`i' ]
}
replace o=1 if o==.
tab o

replace diffage=diffage/365
gen diffage2=diffage*diffage
gen diffage3=diffage2*diffage
gen diffage4=diffage3*diffage
gen diffage5=diffage4*diffage

gen diffagereform=diffage*reform
gen diffage2reform=diffage2*reform
gen diffage3reform=diffage3*reform
gen diffage4reform=diffage4*reform
gen diffage5reform=diffage5*reform

*effect on second and third coworker
gen co1=(o==1)
gen co2=(o==2)
gen co3=(o==3)
gen co4=(o==4)
gen co4plu=(o>=4)
gen refco1=reform*co1
gen refco2=reform*co2
gen refco3=reform*co3
gen refco4=reform*co4
gen refco34=reform*(co3|co4)
gen refco47=reform*(o>=4&o<=7)
gen ref3plus=reform*(o>=3) & o!=.
gen ref4plus=reform*(o>=4) & o!=.
gen ref7plus=reform*(o>=8)

gen mco1=(o>=1)
gen mco2=(o>=2)
gen mco3=(o>=3)
gen mco4=(o>=4)
gen refmco1=reform*mco1
gen refmco2=reform*mco2
gen refmco3=reform*mco3
gen refmco4=reform*mco4

gen diffageref1=reform*diffage*co1
gen diffageref2=reform*diffage*co2
gen diffageref3=reform*diffage*co3
gen diffageref4=reform*diffage*co4plu


**** Calculate Deprectiation
***only 1 coworker

*cubic
xi: reg ffrac9206 reform dslope1 dslope2 diffage diffagereform diffage2 diffage2reform diffage3 diffage3reform i.hs_far i.hs_mor i.county mbefore age_mor age_mor2 age_far age_far2 female miss1 miss2 miss3 size [pw=triw] if o==1
testparm diffagereform diffage2reform diffage3reform
gen kat3=_b[diffagereform]*diffagereform+_b[diffage2reform]*diffage2reform+_b[diffage3reform]*diffage3reform
replace kat3=kat3/_b[reform]
gen kat3u1=kat3+((1.96*_se[diffagereform]*diffagereform)+(1.96*_se[diffage2reform]*diffage2reform)+(1.96*_se[diffage3reform]*diffage3reform))
gen kat3u2=kat3-((1.96*_se[diffagereform]*diffagereform)+(1.96*_se[diffage2reform]*diffage2reform)+(1.96*_se[diffage3reform]*diffage3reform))

gen dep13=_b[diffagereform]/_b[reform]
gen dep23=_b[diffage2reform]/_b[reform]
gen dep33=_b[diffage3reform]/_b[reform]

*quartic
xi: reg ffrac9206 reform dslope1 dslope2 diffage diffagereform diffage2 diffage2reform diffage3 diffage3reform diffage4 diffage4reform i.hs_far i.hs_mor i.county mbefore age_mor age_mor2 age_far age_far2 female miss1 miss2 miss3 size [pw=triw] if o==1
testparm diffagereform diffage2reform diffage3reform diffage4reform
gen kat4=_b[diffagereform]*diffagereform+_b[diffage2reform]*diffage2reform+_b[diffage3reform]*diffage3reform+_b[diffage4reform]*diffage4reform
replace kat4=kat4/_b[reform]
gen dep14=_b[diffagereform]/_b[reform]
gen dep24=_b[diffage2reform]/_b[reform]
gen dep34=_b[diffage3reform]/_b[reform]
gen dep44=_b[diffage4reform]/_b[reform]

sort diffagereform

*with constants
gen kat3c10=.5*(_b[diffagereform]*diffagereform+_b[diffage2reform]*diffage2reform+_b[diffage3reform]*diffage3reform)
gen kat3c5=.75*(_b[diffagereform]*diffagereform+_b[diffage2reform]*diffage2reform+_b[diffage3reform]*diffage3reform)
gen kat3c0=0*(_b[diffagereform]*diffagereform+_b[diffage2reform]*diffage2reform+_b[diffage3reform]*diffage3reform)
replace kat3c10=kat3c10/_b[reform]
replace kat3c5=kat3c5/_b[reform]

gen dep13c=.5*((_b[diffagereform])/_b[reform])
gen dep23c=.5*((_b[diffage2reform])/_b[reform])
gen dep33c=.5*((_b[diffage3reform])/_b[reform])

gen dep13c2=.75*((_b[diffagereform])/_b[reform])
gen dep23c2=.75*((_b[diffage2reform])/_b[reform])
gen dep33c2=.75*((_b[diffage3reform])/_b[reform])


*get mean diff age for each coworker group
egen time1=mean(diffage) if o==1
egen time2=mean(diffage) if o==2
egen time3=mean(diffage) if o==3
egen time4=mean(diffage) if o>=4

*no decays
xi:reg ffrac9206 dslope1 dslope2 diffage diffage2 diffage3 refco1 refco2 refco3 ref4plus i.hs_mor i.hs_far i.county mbefore age_mor age_mor2 age_far age_far2 female miss1 miss2 miss3 size [pw=triw]

gen b1_nd=_b[refco1]
gen b2_nd=_b[refco2]
gen b3_nd=_b[refco3]
gen b4_nd=_b[ref4plus]

gen se1_nd=_se[refco1]
gen se2_nd=_se[refco2]
gen se3_nd=_se[refco3]
gen se4_nd=_se[ref4plus]

*cubic decay

gen b1_cd=b1_nd/(1+((dep13*time1)+(dep23*time1*time1)+(dep33*time1*time1*time1)))
gen b2_cd=b2_nd/(1+((dep13*time2)+(dep23*time2*time2)+(dep33*time2*time2*time2)))
gen b3_cd=b3_nd/(1+((dep13*time3)+(dep23*time3*time3)+(dep33*time3*time3*time3)))
gen b4_cd=b4_nd/(1+((dep13*time4)+(dep23*time4*time4)+(dep33*time4*time4*time4)))
gen se1_cd=se1_nd/(1+((dep13*time1)+(dep23*time1*time1)+(dep33*time1*time1*time1)))
gen se2_cd=se2_nd/(1+((dep13*time2)+(dep23*time2*time2)+(dep33*time2*time2*time2)))
gen se3_cd=se3_nd/(1+((dep13*time3)+(dep23*time3*time3)+(dep33*time3*time3*time3)))
gen se4_cd=se4_nd/(1+((dep13*time4)+(dep23*time4*time4)+(dep33*time4*time4*time4)))

*quartic decay
gen b1_qd=b1_nd/(1+((dep14*time1)+(dep24*time1*time1)+(dep34*time1*time1*time1)+(dep44*time1*time1*time1*time1)))
gen b2_qd=b2_nd/(1+((dep14*time2)+(dep24*time2*time2)+(dep34*time2*time2*time2)+(dep44*time2*time2*time2*time2)))
gen b3_qd=b3_nd/(1+((dep14*time3)+(dep24*time3*time3)+(dep34*time3*time3*time3)+(dep44*time3*time3*time3*time3)))
gen b4_qd=b4_nd/(1+((dep14*time4)+(dep24*time4*time4)+(dep34*time4*time4*time4)+(dep44*time4*time4*time4*time4)))
gen se1_qd=se1_nd/(1+((dep14*time1)+(dep24*time1*time1)+(dep34*time1*time1*time1)+(dep44*time1*time1*time1*time1)))
gen se2_qd=se2_nd/(1+((dep14*time2)+(dep24*time2*time2)+(dep34*time2*time2*time2)+(dep44*time2*time2*time2*time2)))
gen se3_qd=se3_nd/(1+((dep14*time3)+(dep24*time3*time3)+(dep34*time3*time3*time3)+(dep44*time3*time3*time3*time3)))
gen se4_qd=se4_nd/(1+((dep14*time4)+(dep24*time4*time4)+(dep34*time4*time4*time4)+(dep44*time4*time4*time4*time4)))

*gen depreciation parameters
*cubic
gen cd1=(1+((dep13*time1)+(dep23*time1*time1)+(dep33*time1*time1*time1)))
gen cd2=(1+((dep13*time2)+(dep23*time2*time2)+(dep33*time2*time2*time2)))
gen cd3=(1+((dep13*time3)+(dep23*time3*time3)+(dep33*time3*time3*time3)))
gen cd4=(1+((dep13*time4)+(dep23*time4*time4)+(dep33*time4*time4*time4)))
sum cd1 cd2 cd3 cd4

*quartic
gen qd1=(1+((dep14*time1)+(dep24*time1*time1)+(dep34*time1*time1*time1)+(dep44*time1*time1*time1*time1)))
gen qd2=(1+((dep14*time2)+(dep24*time2*time2)+(dep34*time2*time2*time2)+(dep44*time2*time2*time2*time2)))
gen qd3=(1+((dep14*time3)+(dep24*time3*time3)+(dep34*time3*time3*time3)+(dep44*time3*time3*time3*time3)))
gen qd4=(1+((dep14*time4)+(dep24*time4*time4)+(dep34*time4*time4*time4)+(dep44*time4*time4*time4*time4)))
sum qd1 qd2 qd3 qd4



***Table 4: snowball effects

*do not account for decay
sum b1_nd b2_nd b3_nd b4_nd se1_nd se2_nd se3_nd se4_nd

*account for cubic decay function (but not the uncertainty...)
sum b1_cd b2_cd b3_cd b4_cd se1_cd se2_cd se3_cd se4_cd

*account for quartic decay function (but not the uncertainty...)
sum b1_qd b2_qd b3_qd b4_qd se1_qd se2_qd se3_qd se4_qd


***tests for similar coefficients
test refco1=refco2=refco3=ref4plu

*cubic
test 1.20*refco1=.99*refco2=.78*refco3=.30*ref4plu

*quartic
test 1.27*refco1=1.06*refco2=.84*refco3=.32*ref4plu


****FIGURE 4
***all workers
*add back depreciation cubic

preserve
sort coyear
gen timereform=diffage*reform
gen time2reform=timereform*timereform
gen time3reform=timereform*timereform*timereform
gen time4reform=timereform*timereform*timereform*timereform
by coyear: egen mdiff=mean(timereform)
by coyear: egen mdiff2=mean(time2reform)
by coyear: egen mdiff3=mean(time3reform)
by coyear: egen mdiff4=mean(time4reform)
xi: reg ffrac9206 reform dslope1 dslope2 diffage diffage2 diffage3 diffagereform diffage2reform diffage3reform i.hs_mor i.hs_far i.county mbefore age_far age_far2 age_mor age_mor2 female miss1 miss2 miss3 size [pw=triw] if o==1
gen alpha1c=_b[diffagereform]
gen alpha2c=_b[diffage2reform]
gen alpha3c=_b[diffage3reform]
set scheme s2mono
sort coyear
by coyear: egen takeup=mean(ffrac9206) 

by coyear: egen first=mean(co1) 
by coyear: egen sec=mean(co2) 
by coyear: egen third=mean(co3)
by coyear: egen four=mean(co4plu)

gen takeupdecay1c=takeup-(.028*first)-(alpha1c*mdiff*first)-(alpha2c*mdiff2*first)-(alpha3c*mdiff3*first)
gen takeupdecay2c=takeupdecay1c-(.038*sec)-(alpha1c*mdiff*sec)-(alpha2c*mdiff2*sec)-(alpha3c*mdiff3*sec)
gen takeupdecay3c=takeupdecay2c-(.064*third)-(alpha1c*mdiff*third)-(alpha2c*mdiff2*third)-(alpha3c*mdiff3*third)
gen takeupdecay4c=takeupdecay3c-(.083*four)-(alpha1c*mdiff*four)-(alpha2c*mdiff2*four)-(alpha3c*mdiff3*four)

gen direct2=takeup-(.028*(first+sec+third+four))-(alpha1c*mdiff*(first+sec+third+four))-(alpha2c*mdiff2*(first+sec+third+four))-(alpha3c*mdiff3*(first+sec+third+four))

twoway (line takeup takeupdecay4c direct2 coyear) if takeup<.75 & coyear>1992, xlabel(1993(1)2002) ytitle("fraction taking leave" "(coworkers)") xtitle("child's year of birth" "(coworkers)") legend(off)

gen a=takeup-takeupdecay4c
by coyear: sum a

drop if coyear>1999
twoway (line takeup coyear, lwidth(thick)) (area takeup coyear, color(gs5))  (area direct2 coyear, color(gs10)) (area takeupdecay4c coyear, color(white)) (line takeupdecay4c coyear, lpattern(solid) lcolor(black))  if takeup<.75 & coyear>1992, xlabel(1993(1)1999, labsize(medium)) ylabel(,nogrid) ytitle("Fraction taking leave" "(Coworker)", size(medium)) xtitle("Child's year of birth" "(Coworker)", size(medium)) legend(on order(2 "Direct effect" 3 "Snowball effect") ) legend(size(medium))
restore

***Figure B1

set scheme s2mono
sort diffagereform

*graph depreciation alterantive
gen d1=.266
gen d2=.039
gen d3=-.180
gen d4=-.705

twoway (line kat3 diffagereform, lpattern(solid)) (line kat4 diffagereform, lpattern(dash)) (scatter d1 time1, msize(medium) mcolor(black)) (scatter d2 time2, msize(medium) mcolor(black) msymbol(circle)) (scatter d3 time3, msize(medium) mcolor(black) msymbol(square)) (scatter d4 time4, msize(medium) mcolor(black) msymbol(diamond)), ytitle(Depreciation rate, size(medium)) xtitle(Years between peer father's child and coworker's child, size(medium)) xlabel(0(1)10, labsize(medium)) ylabel(-2(1)1) legend(on order(1 "Cubic" 2 "Quartic" 3 "Coworker 2" 4 "Coworker 3" 5 "Coworker 4" 6 "Coworker 5+")) legend(size(medium)) legend(rows(2))

gen diffcow2=diffage if o==1

*graph  histogram
twoway (hist diffcow2, fraction), ytitle(Fraction of coworker 2 sample, size(medium)) xtitle(Years between peer father's child and coworker's child, size(medium)) xlabel(0(1)10, labsize(medium)) ylabel(0(.02).1) legend(off)

***Figure B2

*with constant term
line kat3 kat3c0 kat3c5 kat3c10 diffagereform, ylabel(-2(1)1) ytitle(Depreciation rate, size(medium)) xtitle(Years between peer father's child and coworker's child, size(medium)) xlabel(0(1)10, labsize(medium)) legend(on order(1 "Cubic decay" 2 "No decay" 3 "75 % of cubic decay" 4 "50 % of cubic decay")) legend(size(medium)) legend(rows(2))

